Version 2026.xxxx
- Added: BuienRadar, new rain sensor based on last 24 hour value instead of rain rate
- Added: CounterHelper, support for additional counter device types
- Added: MCP, battery level and RSSI/signal level included in device search and listing tools
- Added: MCP, completion/complete support with prompt argument and resource URI autocompletion
- Added: MCP, create_sensor and create_device as aliases for create_virtual_sensor tool
- Added: MCP, delete_event tool for removing automation event scripts (admin only)
- Added: MCP, domoticz://sensor-types resource listing all available virtual sensor types with mapped values
- Added: MCP, get_sensor_history tool with daily calendar data for all sensor types and event log for switches/scenes
- Added: MCP, new prompts: battery_status, climate_overview, create_automation, daily_report, energy_report, hardware_health, scene_optimizer, security_check
- Added: Counter log, right-click context menu on anomalous spike bars with options to spread the value across preceding empty days or delete it (admin only)
- Added: Counter log, "Fix Weekly Pattern" option in the Weekly Generated Pattern and Days/Hourly Energy chart menus to remove spike contamination from running averages (admin only)
- Added: Counter log, "Fix Counter/Price Spikes" option in Last Month, Last Year and shortlog chart context menus to repair corrupted price entries and counter resets (admin only)
- Added: Devices, search filter is now preserved when navigating to a device log and pressing Back; cleared when changing room plan
- Added: PhilipsHue, automatic bridge version detection (V2 HTTPS/443, V1 HTTPS/443, V1 HTTP/80); port no longer needs manual configuration
- Added: PhilipsHue V2, real-time sensor updates via Server-Sent Events (SSE); instant state changes without waiting for the next poll cycle
- Added: PhilipsHue V2, new sensor types: grouped motion, grouped light level, camera motion, security area motion, button remotes, and bell button (doorbell)
- Changed: Counter log, "Fix Counter Spikes" renamed to "Fix Counter/Price Spikes"; now also detects and repairs corrupted price entries in the calendar caused by counter spikes
- Changed: Counter log, "Fix Counter Spikes" admin button is now visible in the counter log footer
- Changed: Security Panel page redesigned to match Domoticz glass-card style (login/about page look)
- Fixed: Counter log, calendar entries with negative values caused by counter resets or rollovers are now detected and zeroed by "Fix Counter/Price Spikes"
- Fixed: Counter log, "Fix Counter/Price Spikes" now detects and repairs value spikes caused by a device being offline for multiple days (accumulated usage spread across the offline period); isolated spikes with no preceding zero-value days are zeroed out
- Fixed: Counter log, monthly/yearly charts incorrectly spreading a day's value across preceding zero-value days (#6703)
- Fixed: Counter log, spreading a spiked counter value across previous empty days now also distributes the associated price proportionally
- Fixed: Log charts, month/year/day range charts now always extend to today; a red highlight indicates the period with no recorded data
- Fixed: Log charts, report overview charts did not had a fixed height; this could cause chart regrows on a certain browser
- Fixed: Counter log, Weekly Generated Pattern heatmap could show extreme values caused by spike contamination in running hourly averages
- Fixed: Contact and DoorContact switches now show correct Open/Closed icon state in the dashboard
- Fixed: Dashboard, Security type devices marked as favorites are now displayed in the Dashboard tab
- Fixed: MCP, server is now enabled by default; use -nomcp flag to disable (previously required -llmmcp flag to enable)
- Fixed: PhilipsHue SSE, application shutdown hang when event stream was idle
- Fixed: PhilipsHue V2, battery level for motion/temperature/light level sensors reported as 255 instead of actual level
- Fixed: PhilipsHue v2, thread-safety race condition causing concurrent API call errors
- Fixed: Python plugin framework, spurious NullStream initialization errors on Python < 3.13 (#6688)
- Fixed: Setup menu, large gaps between dropdown dividers caused by the service worker serving a stale version of the stylesheet after a Domoticz update
- Fixed: Text device utility widget now preserves HTML style attributes (color, font-size, etc.)
- Fixed: Widgets, brief visual flash of incorrect content on initial page load in switches, temperature and weather tabs

Version 2026.1 (March 25th 2026)
- Added: Alexa Smart Home v3 API endpoint (see ALEXA.md)
- Added: Battery SOC mode selection for Energy Dashboard with voltage display
- Added: Current sensor log with 3-phase support and compare chart
- Added: Energy Dashboard, Battery Energy In/Out device settings and price tracking (not visible yet)
- Added: Blinds + Stop type
- Added: Comparing charts, show average across years in tooltip for month/quarter grouping
- Added: Configurable pricing resolution (15/30/60 minutes) for dynamic energy contracts (with adapted P1 and kWh graphs)
- Added: Counter hourly chart resolution toggle (1h/15m/30m) when sub-hourly pricing is configured
- Added: Counter log, anomalous meter spike highlighting in year/month charts
- Added: Counter log, calendar heatmap, weekly pattern heatmap, and cumulative year-to-date comparison charts
- Added: Counter log, cumulative energy chart for kWh instantAndCounter devices
- Added: Dashboard, setpoint display and editing for all setpoint devices
- Added: Docker environment variable support for admin provisioning (DOMOTICZ_ADMIN_PASSWORD, DOMOTICZ_ADMIN_USERNAME)
- Added: dzVents, at_startup trigger for scripts that should run once at Domoticz startup
- Added: Enever, updated providers and API v3
- Added: Enphase, battery storage sensors (reserve SOC, available energy, max capacity, storage mode, charge from grid control)
- Added: Enphase, Encharge battery temperature sensor
- Added: Enphase, grid status reporting for battery systems
- Added: EventSystem support for Thermostat 6 devices (Blockly/Lua/Python event triggers)
- Added: HaveSetPoint JSON API flag for Thermostat 6 and Setpoint devices (third-party app compatibility)
- Added: LibreHardwareMonitor, cross-platform HTTP support with mode selector and extended sensors
- Added: Log pages, current conditions KPI cards and advanced charts
- Added: Logitech Media Server, SqueezeLite ESP32 support
- Added: MCP, search_devices tool for device name discovery
- Added: MQTT-AD, added support for Climate high/low set points
- Added: MQTT-AD: Added Fan speed-range
- Added: MQTT-AD: Added support for flow meter reported in l/min
- Added: MQTT-AD: Calculate temperature trends for climate devices
- Added: MQTT-AD: Fan, make it possible to send separate ON/OFF commands
- Added: MQTT-AD: handling FAN on/off status commands
- Added: MQTT-AD: Reinstate 'total_increasing' support for kWh sensors
- Added: MQTT-AD: Thermostat 6, add setpoint timer/schedule support
- Added: New update scripts that are able to check if system meets requirements
- Added: Notification support for Thermostat 6 devices (temperature, humidity, barometer thresholds)
- Added: Open-Meteo, native weather hardware plugin (no API key required)
- Added: OpenWeatherMap, support for free API plan
- Added: P1 log, calendar heatmap with return energy and price display
- Added: P1 log, return energy shown in Today card when delivery is available
- Added: Philips Hue v2 API, just for Door/Window Contacts (state/tamper/battery)
- Added: PV Output, added consumption
- Added: Python plugin API, Domoticz.SendNotification() native notification method for plugins
- Added: Python plugin framework, extended settings with number/boolean/slider inputs, groups and conditional visibility (#6674)
- Added: Python plugin framework, shared="true" attribute for main interpreter execution
- Added: Re-added rain report
- Added: Re-added wind report
- Added: Re-added wind-rose direction chart to Wind sensor log
- Added: RFXCom, Support Orcon FAN device (#6500)
- Added: RFXCOM, Teleinfo 1200/19200 async mode support
- Added: RTL433, Support UV sensors named 'uvi'
- Added: Room plans, allow unused devices to be added to a plan and shown when that plan is selected
- Added: Scene log, on/off activity charts
- Added: Search filter on selected (right) side of user shared devices selector
- Added: SolarEdge, web portal polling for per-optimizer, per-string and per-inverter energy and real-time data
- Added: SolarEdge API, battery detection (#6593)
- Added: SolarEdge API, energy details sensors (production, consumption, self-consumption, feed-in, purchased)
- Added: SolarEdge API, site overview sensors (current power, energy today/month/year/lifetime)
- Added: Support for the Model Context Protocol (/mcp) for use with AI Agents
- Added: Thermostat, combined Temperature/Setpoint display
- Added: Web Interface, Admin API (FixKwhCounterSpikes) to detect and fix historical kWh counter spikes with dry-run support
- Added: Web Interface, Better XSS prevention
- Added: Web Interface, Close other menu option
- Added: Web Interface, dark chart theme for log charts
- Added: Web Interface, Event folders with multi-select drag-and-drop organization
- Added: Web Interface, First-run setup wizard for admin account creation, replacing default credentials
- Added: Web Interface, Modernized log viewer with WebSocket live streaming, level filtering, search/regex, render cap, and performance optimizations
- Added: Web Interface, Passkey (WebAuthn/FIDO2) authentication support - register and sign in with Windows Hello, Touch ID, or security keys
- Added: Web Interface, Passkey management in My Profile (register, view device info, delete)
- Added: Web Interface, single custom template shown as direct navigation link instead of dropdown
- Added: Web Interface, weather animations for temperature and weather display
- Added: Weather tab, room plan selector
- Added: Wind log, wind speed frequency histogram with Weibull distribution curve
- Fixed: Access denied for non-admin users with no shared devices configured
- Fixed: Application hang on shutdown when Python event scripts are active
- Fixed: Buienradar, fallback when station measurements are empty
- Fixed: CalcMeterPrice/CalcMultiMeterPrice off-by-one price error with dynamic tariffs (Fixes #6181)
- Fixed: Chart zoom buttons (notable on iOS devices)
- Fixed: Barometer compare chart and database normalization
- Fixed: Chart logs now using real time values
- Fixed: Chart series visibility not persisting after page reload
- Fixed: Compare chart values displayed incorrectly for multiple sensor types (#6591)
- Fixed: Crash after device_update when getUnit() returned stale data
- Fixed: Crash when a live device update arrives while the Devices tab is still loading
- Fixed: Counter Statistics Chart tooltip showing incorrect day name (Fixes #6542)
- Fixed: Database backup/restore stability (#6577)
- Fixed: Dashboard, sun rise/set times missing on mobile dashboard initial load
- Fixed: Deleting a scene/group could accidentally delete a device
- Fixed: dzVents, counterToday/counterDeliveredToday returning stale values after midnight for idle devices (Fixes #6221)
- Fixed: dzVents Lua table corruption when exception occurs during notification or device data export (Fixes #6030)
- Fixed: dzVents SendNotification, SendEmail, and SendSMS command handling
- Fixed: dzVents Thermostat 6 updateSetPoint() now uses proper SetSetPoint command path for correct event propagation
- Fixed: Energy Dashboard layout order and positioning (Fixes #6625)
- Fixed: Event system not processing events when device update rate is high (e.g. faulty sensors)
- Fixed: Event system thread could silently stop on unhandled exceptions, causing all scripts to stop working
- Fixed: Flash of unfiltered devices on live updates in web interface
- Fixed: Floorplan, Text Sensor display
- Fixed: General/kWh device with EnergyMeterMode=1 could never be updated when created from Python plugin with numeric Type/SubType (Fixes #6194)
- Fixed: Kodi, Possible memory leak in Kodi Notification when destination is unreachable
- Fixed: kWh counter returning 0 instead of last known value during periods with no readings
- Fixed: Log rotation via SIGHUP broken under systemd (non-daemon mode)
- Fixed: Memory leak in Python event scripts caused by missing reference count decrement in user variables (Fixes #5091)
- Fixed: Missing Passkeys column on fresh Docker installs causing SQL errors (#6601)
- Fixed: MQTT, crashes and race conditions in message handling
- Fixed: MQTTPush/InfluxPush crash on shutdown (#6600)
- Fixed: Negative rain values at midnight when counter resets (Fixes #6571)
- Fixed: Open-Meteo, improved validation of API responses and coordinate precision
- Fixed: OpenZWave setpoint devices
- Fixed: P1 Gas Counter returning 0.0 when no meter data exists for today
- Fixed: P1Power hourly graph empty due to incorrect SQL format escaping in pricing resolution grouping
- Fixed: P1Power hourly graph using wrong price and missing date range filter (Fixes #6181)
- Fixed: Philips Hue v1 API crashes Domoticz in certain cases since Hue Bridge firmware 1.74 (added extra validations)
- Fixed: Pinger blocking webserver thread during ping operations
- Fixed: Plugin devices, LightingLog User field now shows actual user instead of hardware name (Fixes #6538)
- Fixed: Python 3.13+ sub-interpreter crash due to missing __builtins__ injection
- Fixed: Python plugin C extension crash on plugin restart
- Fixed: Python plugin Domoticz.Debug() and Domoticz.Log() not respecting plugin-level debugging setting (#6636)
- Fixed: Python plugin custom device option updates not saved to database (#6454)
- Fixed: Python plugin TCP/TLS connection stability issues
- Fixed: Python/Lua scripts last_update_string not updating for unchanged-value devices (Fixes #6638)
- Fixed: RFXCom, uninitialized value in decode_Fan for non-Orcon devices
- Fixed: RTL433 hangs on stop/update (#6597)
- Fixed: Scheduler Monthly_Weekday and Yearly_Weekday (Fixes #6452)
- Fixed: Scene triggering delay caused by event system thread pool saturation
- Fixed: Segfault when running --help or --version (#6618)
- Fixed: Service worker not loading when Domoticz is accessed remotely via HTTPS
- Fixed: Session invalidation race condition during web session renewal
- Fixed: Slider drag on touch devices
- Fixed: SolarEdge API, battery critical sensor using wrong type and grid/storage power direction detection
- Fixed: SolarEdge API, power readings persisting stale values when idle
- Fixed: Temperature Compare Chart (Min/Max values)
- Fixed: Text sensor edit dialog, Enter key now inserts newlines instead of submitting
- Fixed: Water device log displaying value in incorrect unit
- Fixed: Web update not restarting properly when Python plugins are active (#6602)
- Fixed: Web update script not starting due to systemd-run failure (#6622)
- Fixed: WebSocket thread-safety races in session and log callbacks
- Fixed: WOL, Corrected magic packet creation and supporting IPv6 broadcast
- Changed: -nocache command line option now also uninstalls the service-worker
- Changed: Domoticz Remote, do not force re-enable RemoteSharedPort on startup
- Changed: Energy Dashboard restyled with dark glass-morphism theme and neon glow effects
- Changed: Enphase, default to new firmware info request
- Changed: Enphase, start working with correct values from the beginning
- Changed: FCM/Google Cloud Messaging Notifications, now needed to enter private API from console in settings
- Changed: In-service/Oauth2, Added Logo to login form
- Changed: Installer, improved package detection and channel reconfigure path
- Changed: Internal code cleanup/enhancements
- Changed: MQTT, huge speed improvements
- Changed: MQTT-AD: better initial device naming
- Changed: Netatmo, using new API scopes/code
- Changed: P1 Energy log, cumulative year chart shows thicker line for current year with shared crosshair tooltip showing all years simultaneously
- Changed: P1 Energy log, Return and Energy Returned series in day chart displayed as positive values with y-axis starting at zero
- Changed: P1 Energy log, Usage/Hour chart redesigned with independent resolution (1h/15m) and range (All/1d/Day) zoom controls
- Changed: Philips Hue, Added extra validations since Hue Bridge firmware 1.74.1974063020 crashes Domoticz in certain cases
- Changed: Philips Hue, now used HTTP scheme (HTTP/HTTPS) based on port number (80/443)
- Changed: Python plugin framework, case-insensitive keyword arguments (#6048)
- Changed: Tado, token now refreshed with correct refresh token interval
- Changed: Viewer users can now change their profile settings
- Changed: Web Interface, Event editor labels changed from Off/On to Disabled/Enabled
- Changed: Web Interface, navbar and settings panel redesigned with glassmorphism theme and menu icons
- Updated: More strings available for translation (e.g. 'Last Seen')
- Updated: Translations

### Breaking Changes
- Added system dependency: `libmosquitto1`. You might need to the updaterelease/updatebeta commandline twice **twice** to ensure proper installation, or run the setup curl command again.

Version 2025.2 (October 13th 2025)
- Added: EnergyDashboard, add option for (Outside) Temperature Sensor
- Added: Enever, Added Pure Energy, removed obsolete providers
- Added: Enphase, display a error is a IQ inverter has not been received for more then a day
- Added: Kodi, support for 'tvshow' type
- Added: MQTT-AD, added support for Climate action_template/state
- Added: MQTT-AD, added support for IR Blaster (Tuya iH-F8260)
- Added: MQTT-AD, support for disabling cover stop button
- Added: New Blinds type "Blinds + Stop"
- Added: MQTT-AD, handling battery low boolean sensors
- Added: MQTT-AD, allow publishing messages
- Added: P1 Chart, Report: Added Total Column (Usage-Return)
- Added: Rain Rate notification
- Added: Support for Humidity only graph
- Fixed: MQTT-AD, fix issue where brightness and RGB command topic are different
- Fixed: MQTT-AD, preserve select options when updating a device
- Fixed: Replace device now also copies 'Options' field
- Fixed: mDNS, possible crash when web server (non) SSL was disabled, or a invalid port was specified
- Fixed: Charts, after deleting a datapoint, the browser was not correctly refreshed
- Changed: Enphase query Token method
- Changed: mDNS, hostname now lowercase
- Changed: MQTT-AD, added support for color_temp_command_template
- Changed: TADO, Added fixed API endpoint
- Changed: TADO, Add poll interval option
- Changed: MQTT, not publishing devices that are not used
- Changed: Philips Hue now uses HTTPS to be compliant with new Hue Bridge
- Updated: Windows libraries

Version 2025.1 (May 5th 2025)
- Added: Battery level for Setpoint sensors
- Added: Charts, zoom option for 'Day' view
- Added: Data Pushers, added P1 actual value
- Added: EnOcean, now able to choose an optional base_id as sender_id instead of the chip_id (#6213)
- Added: Floorplan, Add support for stop button (Ventation blinds)
- Added: RFXCom, Updated SDK
- Added: Support for Honeywell Series 5/PIR
- Added: Text sensor, now posible to edit direct from the GUI
- Added: YouLess, added Water meter
- Added: More default icons
- Added: MQTT-AD, added support for Gas device class
- Added: MQTT-AD, added support for Text device class
- Added: MQTT-AD, better precision for kWh sensors
- Added: MQTT-AD, enabled 'device_automation' component to be compatible with upcoming (2025) Zigbee2MQTT version
- Added: MQTT-AD, handling single onoff color mode as a normal light/switch
- Added: MQTT-AD, power sensors for the Tuya SPM02
- Added: MQTT-AD, support sensors that report humidity but sends 'null' values
- Added: MQTT-AD, support for string field state objects
- Added: MQTT Push 'Retained' mode option
- Added: Rain devices can now be replacement with different types of rain devices
- Added: RFXCom, Falmec Support
- Added: RTL433, Support Generic Switch (Door) sensor
- Added: Tado, oauth2 support
- Changed: dzVents, possible to pass a Domoticz device ID in notify() through the extra parameter
- Changed: Energy Dashboard now also available for non-admin users
- Changed: Energy Dashboard, Text object clipping rectangle
- Changed: Google Firebase Cloud Messaging (FCM) alternative way to pass a Domoticz device ID through the extra field ('|Device=<devidx>')
- Changed: Internal webserver refactoring 
- Changed: Netatmo Improved and automated login process for devices (to obtain client ID and Password with user selectable scopes)
- Changed: Removed Highcharts 'Download PNG/JPG/SVG' buttons until export server is fixed
- Changed: Using OpenStreetMap for Latitude/Longitude query in settings
- Changed: Hardware/User/Application/Variables setup page (update/delete/add buttons)
- Changed: Smoke Detectors are now able (internally) to use keep-alive timestamps
- Fixed: Application shutdown, solved possible crash (#6310)
- Fixed: AtagOne, fixed getting device_id and better debuginfo
- Fixed: Charts, dynamic title based on selected range
- Fixed: Computed Meter summation
- Fixed: Custom Icons, making sure they are valid and loaded OK
- Fixed: Floorplan, corrected open/close icon behaviour
- Fixed: Floorplan, now handles protected selectors
- Fixed: MQTT Push, making sure direct push is working
- Fixed: Possible mutex lock issue when logging
- Fixed: Pushers, corrected Gas value rounding
- Fixed: Python framework, invalid sValue when creating a General/kWh sensor
- Fixed: RFXCom 868 MHz Weather device
- Fixed: RFXCom, WS90 Weather device
- Removed: Thermosmart thermostat (Product no longer supported/available by the manufacturer)
- Removed: API: Old RType calls have been replaced
- Updated: HighCharts
- Updated: Self Signed Certificate (Valid till 2035)
- Updated: Translations

Version 2024.7 (July 13th 2024)
- Added: P1 Meter, Report, Header now also supports simple mode (No T1/T2/R1/R2 but just total)
- Fixed: Google Cloud Messaging (GCM/FCM) possible crash when notification needed to be send

Version 2024.6 (July 8th 2024)
- Fixed: EventSystem, LOG_FORCE now always logged
- Changed: Google Cloud Messaging (GCM) now uses the new v1 API of Google's Firebase Cloud Messaging (FCM)

Version 2024.5 (July 7th 2024)
- Added: Currency Symbol in Location Settings
- Added: dzVents, Added historical data helper 'med' to calculate the median value
- Added: dzVents, Improved logging
- Added: Energy Dashboard
- Added: Enever, Added Budget Energy and Eneco
- Added: Enphase, Live storage data
- Added: Enphase, Option for more Inverter details (ac/dc voltage, temperature, lastupdate)
- Added: Event Editor, Close/Close All menu dropdown
- Added: Event Editor, Storing/Loading opened events
- Added: Hour chart for P1 log
- Added: MQTT-AD Climate Fan Mode
- Added: MQTT-AD Climate Swing Mode
- Added: OpenWeatherMap, API 3.0 support
- Added: P1 Meter, option to specify view (low/high tariff or simple (dynamic contract))
- Added: Possible to query a range of device states via JSON
- Added: SolarEdge, polling Storage devices
- Fixed: Data Pushers, Forecast for Weather Station subtypes
- Fixed: Floorplan, better detection of switches
- Fixed: Hardware Setup, hiding extra parameters when selecting a python plugin
- Fixed: PythonEx framework, two notifications where send for switch type devices
- Fixed: Python framework, custom image loading
- Removed: Cereal Proxy (not used anymore)
- Changed: EvoHome, now making use of general logging system
- Changed: MQTT-AD, now also handles brightness scale number values as string
- Changed: SBFSpot, disabled error 28 error
- Changed: Selector switch now displays correct state in Data field (and devices overview)

Version 2024.4 (January 30th 2024)
- Fixed: cWebm, fixing high CPU load caused by time jumps
- Fixed: Memory leak in master/client setup
- Fixed: Python, device creation with options was not working correctly
- Fixed: Room Selection, switching to default room did not always work
- Fixed: Temperature compare chart for Fahrenheit

Version 2024.3 (January 24th 2024)
- Added: Domoticz Remote Server, added better error message if remote Domoticz device could not be created because accepting new devices is disabled under settings
- Added: InfluxDB Data push, add error message when return status code is forbidden
- Fixed: Alert sensor notification
- Fixed: Scripts/Lua/Blockly, setting a setPoint

Version 2024.2 (January 15th 2024)
- Added: Compare chart for most sensor types
- Added: Email, Splitting mime attachments over multiple lines
- Added: Notifications, Option to enable/disable
- Added: OpenZwave is back.... (No Support)
- Updated: Translations
- Changed: Comparing charts now uses correct Y-Axis label
- Changed: Internal, Last received is now handled differently, should solve possible hardware timeout issues
- Changed: MQTT, QoS is now set to 1 for all messages
- Fixed: MQTT-AD: Fan creation
- Fixed: Timer Plans, now also duplicates scenes

Version 2024.1 (January 1th 2024)
- Added: AlfenEve, added charging indication switch
- Added: AlfenEve, added option to specify charge current (or disable this)
- Added: AlfenEve, added Solar charging mode and settings
- Added: Counter report, now possible to remove data point (via shift click) from month chart
- Added: Devices overview, Setpoint log button
- Added: Enever, added support for providers Atoom Alliantie, Energie van Ons, Vandebron, Wout Energie
- Added: Enever, option to specify different providers for Gas/Electricity
- Added: Enever: added two user variables for average gas/electricity price
- Added: Enphase, counter helper to prevent turnover caused by powerloss, reboot or other envoy issues
- Added: Enphase, Initial support for Encharge battery status (needs more work)
- Added: Livesearch, included hardware name and optimized search algorithm to search all entered strings
- Added: Managed Counters, now possible to use negative values
- Added: Mitsubishi WF RAC Airconditioning
- Added: MQTT-AD, added support for climate min_temp/max_temp and temp_step
- Added: MQTT-AD, added support for number voc type
- Added: MQTT-AD, added support for Wh and Wm sensors
- Added: MQTT-AD, don't add new devices when this is disabled in the system
- Added: MQTT-AD: Fan percentage_command_template merged with preset_modes
- Added: MQTT, added option to specify devices to be published to MQTT
- Added: P1 Meter report, now possible to remove data point (via shift click) from month chart
- Added: Persistent Timers (will work in all timer plans)
- Added: SetPoint devices can now be configured with a custom unit, min/max and step size and have a custom icon
- Added: Support for Python 3.12
- Added: TeleInfo, added Tempo field
- Added: Temp/Hum/Baro or combination can be replaced by any other Temp/Hum/Baro or combination
- Added: Temperature report, now possible to remove data point (via shift click) from variation chart
- Changed: Floorplan, better display of current state for counter devices
- Changed: Floorplan, Sound Icon state (0 dB = Off else On)
- Changed: MQTT-AD: better device name generation
- Changed: Netatmo login, now using the API Token
- Fixed: EventSystem, corrected event of RGB/W/WW devices
- Fixed: Export to csv from Charts
- Fixed: MQTT-AD, RGB dimmers did not work correctly in scenes/timers
- Fixed: MQTT-AD: better handling of Push-On/Push-Off devices
- Fixed: MQTT-AD: better handling of Switch commands that needs a 'state' object
- Fixed: MQTT-AD: fixed brightness for HS lights
- Fixed: MQTT-AD: prevent blind from updating on non-numeric state changes
- Fixed: P1 Meter, buffer size increased because of large datagrams on some meters
- Fixed: Python memory leak
- Fixed: Sunset/rise timers now correctly set the time for next day
- Fixed: Switches defined with "Off Delay" are not set to "Off" at startup
- Removed: OpenZWave (Move to ZWaveJS-UI in combination with MQTT Auto Discovery)
- Removed: RFXCom, firmware update via web interface (use RFXFlash instead)

Version 2023.2 (July 21 2023)
- Added: 2FA/TOTP (Time-based One-Time Password) and HOTP (HMAC-based One-Time Password)
- Added: Alfen Eve Charger hardware
- Added: Allow a 'user' with shared devices to set it's own favorite devices
- Added: Custom pages, new Angular template examples
- Added: Custom pages, now need at least a user with Viewer rights
- Added: Enever hardware (Live Dutch Gas/Electricity prices for various providers)
- Added: Enphase, (V7 firmware) added support for enabling/disabling power production
- Added: Device reordering for Users with devices
- Added: Libre Hardware Monitor (Windows System monitor replacement for Open Hardware Monitor)
- Added: LUA: Added name state to devicechanged_ext table
- Added: RFXCom, Updated SDK
- Added: RTL433, Added support for volume_m3 meter
- Added: MQTT-AD, added support for number (config) types
- Added: P1 Meter, added Actual Usage/Delivery (total of L1 + L2 + L3)
- Added: P1 Meter, added calculated kWh devices per phase for usage and delivery
- Added: P1 Meter, new way of displaying returned energy
- Added: Users with admin rights and selected devices will now see only those devices
- Added: Users devices editor, option to remove all nodes/devices
- Added: Visual Crossing (replacement for Darksky/Forecast)
- Added: -nocache command line option (ask browser not to cache pages)
- Fixed: Blinds percentage timers
- Fixed: Chime structure check
- Fixed: Counter day charts, better hourly bars and usage
- Fixed: Device reordering when a room plan was selected
- Fixed: Forecast button now displays a working forecast
- Fixed: Install and update fixed for Raspberry Pi 4 with 32bit (armhf) userland
- Fixed: Floorplan Percentage icon with custom icon
- Fixed: Settings/Floorplan, Scene Names value was not saved
- Changed: API: Old RType calls have been replaced with normal calls
- Changed: MQTT-AD, better Unit calculation for scene/action devices
- Changed: Debuglogging: setting debugflags automatically sets loglevel DEBUG
- Updated: Plugin manager: ready for Python 3.11
- Removed: native GoodWe hardware (use the new GoodWe python plugin instead)

Version 2023.1 (February 14 2023)
- For a full overview visit: https://www.domoticz.com/wiki/Domoticz_versions_-_Commits for details
- Added: Accept JWT tokens as authentication and Authorization Bearer tokens (either from internal or external IAM service)
- Added: Blinds, added option to schedule 0%
- Added: dzVents, OpenURL PATCH method
- Added: Enphase, redesign and added battery readings (Supports firmware V7)
- Added: Internal OAuth2/OIDC IAM service supporting 4 different flows (OAuth2 (RFC6749), PKCE extension (RFC7636) and JWT Tokens (RFC7519))
- Added: MQTT, added support for Lock status
- Added: MQTT, added support for wildcards in discovery topics
- Added: MQTT, climate preset mode
- Added: New 'auth' debug flag to see IAM related messages
- Added: Now 'Applications' can be registered to get secure access to Domoticz, see 'setup' menu (standard DomoticzUI app is registered by default)
- Added: P1 Meter, added number of (long) power failures, voltage sags/swells
- Added: SECURITY_SETUP.md describing the new/improved security setup
- Added: Support for basic OpenID Connect Discovery ('https://<DOMOTICZURL>/.well-known/openid-configuration')
- Added: Search option in Switches/Scenes/Temperature/Utility and Weather tab
- Added: The Security realm can be configured using the 'vhostname' option (default domoticz.com)
- Added: Timer, Grid option for selected switches and thermostat. Big thanks to syrhus/labelette91580 and xbeaudouin
- Added: User device selection now displays type/subtype
- Changed: All security related setting are now in 1 settings tab
- Changed: By default prompt for login to only allow secure access
- Changed: Default 'admin' user is generated with standard password (see Users)
- Changed: Dimmer, restores to previous Set Level state after Off
- Changed: Implicit adding local IP to 'trusted networks' has been removed. Needs to be set explicitly for security reasons!
- Changed: Lots of security related code cleanup and improvements
- Changed: Menu option for 'Users' moved to main 'Setup' menu list
- Changed: MQTT timeout increased to 2 minutes
- Changed: The following proxy headers are now properly supported 'Forwarded' (RFC7239), 'X-Forwarder-For' and 'X-Real-IP' (in that order)
- Changed: The secure server (HTTPS) sends proper CORS and Security headers
- Fixed: Dashboard, scenes/lights hidden when this was disabled in user settings
- Fixed: Dashboard, mobile display did not display P1 meter current return value correctly
- Fixed: Dashboard, not showing disabled sections (temperature/weather/utility) when a device has multiple properties (for instance temperature + weather)
- Fixed: Highcharts dropdown menu z-index problem
- Fixed: Logout now returns 204 instead of 401
- Fixed: Waterflow sensor custom icon
- Fixed: Making sure Custom icons are valid (when someone manually edits the database)
- Fixed: Mobile display text objects with long lines
- Fixed: MQTT-AD Climate, fixed setpoint temperature display
- Fixed: Navigation bar display issues on some mobile devices
- Fixed: Setpoint popup when using protection

Version 2022.2 (November 5 2022)
- Added: Blockly,	added 'Toggle' set command
- Added: Camera, camera Aspect Ratio
- Added: Commandline option '-weblog <weblogfile>' which creates Apache Combined Logformat logs containg all webrequests
- Added: Counters, support for larger counter values/usage
- Added: Dashboard, temperature Trend indication
- Added: Docker	startup script (for instance to install additional packages)
- Added: EcoDevices, complete support for EcoDevices RT2 with firmware 3.00.xx
- Added: FritzBox, more statistics
- Added: Fritzbox, up/download statistics
- Added: MQTT Auto Discovery Protocol (Zigbee2MQTT/ Z-Wave JS UI)
- Added: P1 Meter, added Current L1/L2/L3 sensor for delivered
- Added: Philips Hue, support color change on some vendors bulb (like LIDL)
- Added: RFXCom, added internal support for Novy Mood, Level Sensor
- Added: SolarEdge, more sensors support
- Added: UVI device, added multiply field to widget
- Added: Xiaomi Gateway, new model for wired single key switch
- Updated: Mercedes EV, new Token URL (changed November 2022)
- Changed: All inverted Blinds types should not be used anymore, instead use the regular blinds and set the needed Reverse option
- Changed: Blinds working (see https://www.domoticz.com/wiki/Blinds)
- Changed: Energy devices have more precision
- Changed: kWh devices	MAX Power per phase from 10000 to 18400 (230V*80A)
- Changed: P1 Meter, changed P1 Max W from 17250 (25A) to 55200 (80A)
- Changed: P1 Meter, speed up CRC calculation
- Changed: Webserver, removing AppCache, switching to service worker
- Fixed: Blockly, keeping last dim level when switching OFF, option for Close state
- Fixed: Counter incremental, counter in report (when used with meter offset)
- Fixed: Counter short-term log 1 hour offset
- Fixed: Counters, rounding (number of decimals) in GUI
- Fixed: Crash when secure webserver could not start and applying settings
- Fixed: Dimmer, better handling of last dimmer level when switching on/off
- Fixed: EvoHome, correct state/mode for EvoHome type
- Fixed: Floorplan, custom utility icons corrected in Floorplan
- Fixed: Floorplan, fixed blinds state icon/switching
- Fixed: Floorplan, making sure the Door Lock is switchable in the Floorplan
- Fixed: Floorplans, fixed issues with the displaying of some icons
- Fixed: Notification system, prevent double start
- Fixed: P1 Meter, fix for Sibelga smart meters that use a too long string as an identifier
- Fixed: RFXCom, corrected RFXCom solar sensor reading
- Fixed: Temperature, corrected chill calculation
- Fixed: WebGUI, making sure status does not wrap in mobile mode
- Removed: AppCache
- Deprecated: OpenZWave, please move to MQTT Auto Discovery and ZWave JS UI (Project stopped a long time ago!)

Version 2022.1 (January 31 2022)
- Added: Added Irrigation icon (also thanks to dbemowsk)
- Added: Build system, Added unit tests
- Added: Device support for Xiaomi Aqara Wireless Relay Controller (2 Channels) | LLKZMK11LM | relay.c2acn01
- Added: EnOcean, added more hardware support
- Added: EvoHome, Now supports the latest version of the OT Bridge messages
- Added: InfluxDB Data push, Influx 2.0 support
- Added: InfluxDB, Alert and Current devices data push to influxdb
- Added: MQTT Auto Discovery hardware (for Zigbee2MQTT/ZWaveJS2MQTT and others)
- Added: New widgets for Blinds (percentage) + Stop and Blinds (percentage) Inverted + Stop
- Added: Notifications, Extra security checks for HTTP actions
- Added: Notifications, Optional action to execute (http/script) per notificaton
- Added: Replace device for setpoint types
- Added: RTL433, add support for light_klx field (SendLuxSensor)
- Added: Scenes, Added 'Toggle' for switch actions
- Added: Teleinfo, Add support for EAIT/SINSTI/STGE (Linky standard mode)
- Added: Teleinfo. more permissive detection between historic/standard mode
- Added: The Things Network (TTN), Switch to new V3 stack
- Added: Webserver, Increased range of www/ssl port to 49151
- Added: Webserver, Improve webserver security
- Added: Webserver, Improved robustness of processing Settings update
- Added: Wind Meter, Angle rotation
- Updated: dzVents ( https://www.domoticz.com/wiki/DzVents:_next_generation_LUA_scripting )
- Updated: Denkovi, Improved http communication
- Updated: OpenZWave; Added support for Electric pulse sensor, Heatit ZM Single Relay ZW164 Indoor Siren 6+
- Updated: Python Plugin code and framework robustness
- Updated: RFXCom, Updated RFXCom SDK version to 9.31
- Updated: Translations
- Changed: default journal mode for windows now WAL (write ahead) add command line option to override
- Changed: Webserver, updated internals
- Fixed: Charts, changes, bug fixes, Computed kWh, usage calculation, zoom
- Fixed: EvoHome, Fix Web API crash when a new zone wass added
- Fixed: Notifications, Email notification fix jpeg inline attachment handling for K9 mail
- Fixed: OpenWeatherMap, Fix to resolve OWM City for default location. Used by OWM based forecast screen

Version 2021.1 (April 17 2021)
- Added: Added option to set loglevel per hardware device
- Added: Added optional parameter 'level' to addlogmessage JSON
- Added: AirconWithMe wifi module
- Added: Allow complete IPv6 address in local network setting
- Added: Allow custom icons for thermostat setpoints on floorplan
- Added: Allow custom icons for utility sensors
- Added: Build systems for linux based on github actions
- Added: Build system for docker
- Added: Counter meter type now supports a divider
- Added: Custom icons for RGB/W
- Added: GUI; Auto refresh feature for graphical logs
- Added: Hardware Monitor, Add clock speeds for Raspberry Pi
- Added: Honeywell, Add cooling control and Fahrenheit support
- Added: Internal light commands for Fan types Casafan, FT1211R, Falmec, LucciAirDCII, IthoECO and Novy
- Added: Inverted energy icon colors in report
- Added: Max. Watt settings for power devices (defaults to 6000W)
- Added: Mercedes Me API's (BYOCAR) as an (e)Vehicle supporting lock/open, odo, fuellevel
- Added: Meteorologisk (Meteorologisk institutt Norway) hardware support
- Added: P1 Meter, added support for Encryption
- Added: RFXCom Byron BY doorbell
- Added: RSSI support for Distance Sensor, Moisture Sensor, Watt Meter, kWh Meter
- Added: RTL433, Added RF Signal Strength in device tab based on reported SNR
- Added: RTL433, Added Pressure (PSI) type
- Added: RTL433, Added UV type
- Added: RTL433, Added X-10 Security support
- Added: RTL433, Switched to Json input
- Added: Teleinfo over TCP
- Added: Websocket notification for secondary/sub devices
- Added: ZWave, Legend and tooltips in Neighbors overview
- Updated: API/JSON: added API to delete daterange in history logs for one ID
- Updated: Blebox; use of the latest SwitchBox APIthe latest SwitchBox API
- Updated: dzVents; version 3.1.7 ( https://www.domoticz.com/wiki/DzVents:_next_generation_LUA_scripting )
- Updated: eVehicles; added ODO meter, unlock/open alert, max charge level to Tesla module
- Updated: eVehicles; added option to manual set API key
- Updated: EvoHome; decode, display and store hotwater setpoint
- Updated: GUI; Lay-out of notifications tab
- Updated: MQTT; added option to choose notification subsystem
- Updated: MQTT; added publish schemes: device index, device name and Added custom topics for in- and outbound messages
- Updated: OpenZWave; configuration files
- Updated: OpenZWave; Added Volatile Organic Compound sensor
- Updated: Openweathermap; use latest API and overall improvements
- Updated: OTGW; ready for firmware 5.0 and added domestic hot water flow rate
- Updated: Plugin manager: ready for Python 3.9+
- Updated: Plugwise; update of scene selector and added a migration process
- Updated: SolarEdge; add support for 3 Phase inverters
- Updated: Tado; add support for per-zone Open Window Detection
- Updated: TTNMQTT; Better GPS/Locations handling, distance calculation (Geofencing)
- Updated: TTNMQTT; Improved calculation and storage of signal-levels
- Updated: USBTin; Added support for Bloc 9
- Updated: Xiaomi; added new device types
- Changed: Devices, ZWave, each node as separate hardware for easy selection
- Changed: Differentiate kWh, kVah, kVar and kVarh
- Changed: During a database backup we now 'sleep' when the status != OK
- Changed: Energy devices allow negative values
- Changed: Use of Clang-Tidy rules to force ++ coding consistency
- Fixed: Annatherm Presets usage in Events. Please use the following percentages: 10% for Home, 20% for Away, 30% Night 40% for Vacation
- Fixed: Cache refresh issue on Safari
- Fixed: Changing a value from a Thermostat Setpoint via the JSON API/MQTT resulted in a double event trigger
- Fixed: Control for thermostat setpoints on floorplan
- Fixed: Compiling on systems with recent Python versions
- Fixed: Distance sensor was converting to miles instead of inches
- Fixed: Icon uploading from Linux clients/browsers
- Fixed: Floorplan uploading
- Fixed: Font in events editor on MacOS
- Fixed: Motherboard Sensors for big partitions
- Fixed: Possible crash in CEventSystem::SetEventTrigger
- Fixed: Preserve custom icon and description when switching device from used -> unused -> used
- Fixed: Prevent duplicate keys in preferences table
- Fixed: Pushtype selection mechanism
- Fixed: Sound device was incorrectly displayed on the Floorplan
- Fixed: Tado Zone/Home limit, setpoint mix-up
- Fixed: User field in device logging for switches, -text-devices and for groups/scenes
- Fixed: Windows installation respects configured log parameters
- Fixed: Zwave various issues

Version 2020.2 (April 26th 2020)
- Added: GUI: New Update controller code
- Added: GUI: Real-time updates of history-logs on device / scene changes
- Fixed: Battery level Real-time updates
- Fixed: Daikin wifi adaptor module
- Fixed: Delete device now propagates to all relevant tables
- Fixed: Possible security issue in the websocket layer
- Fixed: Unwanted RFY protection popup
- Updated: BuienRadar, Now possible to enter Station_ID or Latitude/Longitude
- Updated: Deprecated Google Cloud Messaging system(gcm) replaced by Firebase Cloud Messaging (fcm)
- Updated: dzVents version 3.0.2 ( https://www.domoticz.com/wiki/DzVents:_next_generation_LUA_scripting#History )
- Updated: OpenZWave configuration files
- Updated: OpenZWave library for windows
- Updated: MQTT add option to enable/disable loop prevention
- Changed: Removed external library dependencies from repository
- Updated: Translations
- Updated: TTNMQTT, improved handling CayenneLPP channels

Version 2020.1 (March 22th 2020)
- Added: BuienRadar
- Added: DarkSky CloudCover sensor
- Added: eVehicles framework, with Tesla as first hardware module
- Added: EventSystem, option in Settings to enable/disable URL call logging containing full URL path
- Added: Floorplan, add support for SVG
- Added: GUI, OpenZWave added Refresh Node Information button, styling
- Added: GUI: real-time updates on Devices tab (Websockets)
- Added: GUI: Sun/Rain icons
- Added: Hue, Add Support for Geo fence sensor, dimmer switches and Hue LCG002 GU10 spot
- Added: Octoprint hardware module
- Added: OpenZWave, JSON call to retrieve current battery levels for all nodes
- Added: OpenZWave, Support for Loudness sensor
- Added: OpenZWave, Support for Particulate_Mater_2_5 (Dust) sensor (ug/m3)
- Added: OpenZWave, Support for Smoke density (%)
- Added: OpenZWave, Support for Volatile_Organic_Compound (CO2, ppm)
- Added: OpenZWave, Support for Frequency sensor
- Added: Option to replace switch with another (same type)
- Added: Per User favorites (with viewer rights)
- Added: RFXCom Added datatimeout for external P1 sensor
- Added: RTL433, added Power (Watt) type
- Added: RTL433, added rainfall_mm type
- Added: Xiaomi, added Wireless Single Wall Switch
- Added: DisableLogAutoUpdate and AddDBLogEntry device options for counters, to be enabled from plugins
- Fixed: API, allow variabletype to be entered as text or integer in adduservariable and updateuservariable (#3320)
- Fixed: GUI, Choosing Icon for ARC type switches
- Fixed: GUI, Dashboard icon incremental counter (energy generated) not correct (#3231)
- Fixed: GUI, device table initial order column
- Fixed: GUI, Switch Log, date parsing in device log (#3206)
- Fixed: GUI, Floorplan, contact type can no longer be switch
- Fixed: GUI, Floorplan, custom image for Custom Sensor
- Fixed: GUI, Floorplan, fixed blind switching (#3267)
- Fixed: GUI, Weight Log now displays correct Unit (#3211)
- Fixed: GUI, OpenZWave Abort Include/Exclude button
- Fixed: Blockly, handling incorrect time field
- Fixed: Enery Generated report icon colors
- Fixed: Evohome Web for updated library
- Fixed: Google Notification System
- Fixed: PhilipsHue
- Fixed: SMS Notification System
- Fixed: Telegram notification when odd number of underscores in text
- Fixed: Youless, possible buffer overflow (#3261)
- Updated: Domoticz scripts now run directly in the background
- Updated: dzVents version 3.0.1 ( https://www.domoticz.com/wiki/DzVents:_next_generation_LUA_scripting#History )
- Updated: HighCharts
- Updated: Lua 5.3
- Updated: Mosquitto 1.68
- Updated: OpenZWave version 1.6
- Updated: P1: Add support for Belgian and Luxembourgian meters
- Updated: SQLite 3.31.1
- Updated: Translations

Version 4.10717 (May 9th 2019)
- Fixed: dzVents, Allowing no error message for HTTP calls (#3191)
- Fixed: EcoCompteur now uses the port specified in the hardware setup (#3184)
- Fixed: Log for Weight sensor (#3192)
- Fixed: issue with Session ID/Login
- Fixed: issue with slightly too large labels for the selector switch (#3187)
- Updated: dzVents (version 2.4.19, See dzVents/documentation/history.md)

Version 4.10658 (May 5th 2019)
- Added: [BleBox] Add support for airSensor and use the newest api for shutterBox
- Added: Alecto WS5500 Added (pTypeWeather)
- Added: Anna Thermostat Added ability to select presets on the Anna via selector switch. Added ability to update the state of the proximity switch in the Anna thermostat.
- Added: Better graph display for thermostat devices
- Added: Blinds T14/R15/T16 to lights.html
- Added: CayenneLPP, added initial support for LPP_UNIXTIME
- Added: Cereal Proxy
- Added: Custom icons for: Contact Door Contact Push On Push Off Door Lock Door Lock Inverted
- Added: Devices Tab, Scene/Group log icon added
- Added: EnOcean3 Added EPP D2-03-0A
- Added: EventSystem logging name when issuing thermostat SetPoint/Mode/Fan command
- Added: EvoHome radiator Valve Value to Pushers InfluxDB worker
- Added: Experimental support for WebSockets protocol
- Added: Hardware setup, support /dev/serial/by-id on Linux
- Added: InfluxDB Data push, support for Username/Password
- Added: InfluxDB: added option for remote proxy path
- Added: Logitech Media Server, added 'daphile' to the list of supported models
- Added: Make Telegram notification silent when priority is negative
- Added: Maverick 773 BBQ Temperature meter now using fixed ID as there is a new id generated between transmitter and controller every 15 minutes
- Added: New Aqara Wireless Mini Switch
- Added: New Hardware, The Things Network with CayenneLPP application(s)
- Added: On/Off chart to Lights log
- Added: OpenZWave, controller options for RetryTimeout, AssumeAwake and PerformReturnRoutes can now be set
- Added: OpenZWave, handling 'kVAh' unit
- Added: OpenZWave, support for Seismic Intensity sensor
- Added: Report for Counter Incremental devices
- Added: RFLink support for Blyss type (with high unit number)
- Added: RFXCom Added Noise Level for Pro firmware
- Added: RFXCom Lucci Fan DC
- Added: RFXCom ProXL implementation
- Added: RFXCom Supporting detection of Pro2, Pro XL1
- Added: RFXMeter, Option to specify meter divider
- Added: RFXMeter, Option to specify meter divider
- Added: RTL433, Add support for wind_speed wind_gust wind_direction
- Added: RTL433, added support for WGR800,PCR800
- Added: RTL433, Added Moisture sensor
- Added: RTL433, support for sensors reporting in Fahrenheit
- Added: Serial port for Freescale imx6 devices
- Added: Support Aqara Vibration Sensor (v1)
- Added: Support double click and long press feature for "Xiaomi Wireless Dual Wall Switch"
- Added: Support for NodeOn Soft Button TSB-2-1-01
- Added: Support for Westinghouse FAN
- Added: Taiwanese language (big thanks to berry lin!)
- Added: The Things Network, add GPS coordinate in Uservariable
- Added: Time/Sun set/rise to events frame
- Added: Timer Plan, duplicate option
- Added: Touch Device unction
- Added: Trend calculator (only for temperatures at the moment)
- Added: Using MapQuest Geo API in settings
- Added: Wind sensor without Temp and Chill
- Added: Xiaomi Gateway Aqara Cube report battery status
- Removed: LogitechMediaServer: HTTP timeout as a configurable option
- Fixed: [Satel Integra] fix for Inetgra256 and allow to change names
- Fixed: Anna to work with both firmwares
- Fixed: Arilux
- Fixed: Corrected water graph display
- Fixed: Correcting cost calculation for P1 Meter reports with return usage
- Fixed: Custom Icon upload message
- Fixed: DarkSky possible wind-chill callsign issue
- Fixed: Date parsing in Safari
- Fixed: Devices tab, removed unnecessary zwave node id as this is part of the ID already
- Fixed: Do not allow enters/returns in arguments (thanks to Fabio Carretto)
- Fixed: Doorcontact, On/Off delay where hidden
- Fixed: EvoHome hot water graphs
- Fixed: Evohome SYNC bug
- Fixed: Fan/RMP sensor
- Fixed: Fix for running as non-privileged user
- Fixed: Forecast button, displaying correct units
- Fixed: Honeywell thermostat fixes and improvements
- Fixed: I2C/BME280, Corrected oversampling
- Fixed: Increased heartbeat_check timeout to 5 minutes (process rebooted while doing a large database operation (migration of a sensor))
- Fixed: Kodi Notification setup display (hops)
- Fixed: Light Log Set 'Level' for RGB switches
- Fixed: MySensors IR switching
- Fixed: Next Protect, removing Heat/US checks
- Fixed: On/Off actions where incorrectly handled when setting the a RGB/W Color
- Fixed: P1 Smart Meter report chart, limit number of decimals in tooltip
- Fixed: Philips Hue, should work correctly now again
- Fixed: Possible SQL Injection Vulnerability (Thanks to Fabio Carretto!)
- Fixed: Prevent touch stcroll while using jQuery wheel color picker
- Fixed: Put correct node name in button titles in association group view
- Fixed: Python Plugin protocols now always use Parameters values for Username/Password during authentication rather than cached values
- Fixed: Rain device for DarkSky
- Fixed: Selector selected color
- Fixed: Shared server via mydomoticz bug.
- Fixed: Temp+Hum log button in devices view
- Fixed: Temperature sorting in report
- Fixed: timer where one part of the combination is even or odd week
- Fixed: Xiaomi Gateway Lum issue
- Fixed: Xiaomi, using correct (application default) way to update temp/hum/pressure
- Fixed: YouLess meter report
- Fixed: Various, see github, thanks to all who contributed!!
- Updated: dzVents (version 2.4.18, See dzVents/documentation/history.md)
- Updated: Event Editor
- Updated: New Gui pages/code for Utility/Weather/Temperature/Devices/Hardware Setup
- Updated: OZW configuration files
- Updated: Translations
- Updated: Weather Underground for use with the new API, option to specify Lat/Long as location
- Updated: Winddelen, using new API URL now, and including some more sensors

Version 4.9700 (June 23th 2018)
- Added: Blockly, now possible to directly add/update Text devices
- Added: Blockly: now possible to use expressions in debug messages like "My temperature is {{temperaturedevice[1234]}} degrees" (see http://www.domoticz.com/wiki/Events)
- Added: Camera: support for HTTPS url's
- Added: Comm5 SM-xxxx sensors support
- Added: Command line option '-noupdates' to stop using the internal update functionality Corrected 'Proxy' settings in the settings page (missing element closing tag)
- Added: Denkovi Smartden IP In (32) with LAN Interface
- Added: Disabling the option to downgrade Domoticz and use a newer database (because of database migrations)
- Added: Door Lock Inverted
- Added: EcoCompteur device
- Added: eHouse BMS / Home Automation System Integration
- Added: Forcing appcache to be refreshed on every new build
- Added: Functionality to allow Python Plugins to integrate with the Domoticz Security Panel
- Added: HardwareMonitor monitor own process memory usage
- Added: Honeywell Lyric thermostat
- Added: I2C: support for MCP23017 (16bit I2C GPIO expander)
- Added: Initial support for FS20
- Added: KMTronic TCP Temperature hardware
- Added: Langiage "Persian" (Big tankgs to "foademadi", "maziar.hafezi" and "reza.hadipour2002")
- Added: Language "Albanian" (Big thanks to "arbenik")
- Added: Language "Bosnian" (Big thanks to "Vedran")
- Added: Language "Catalan" (Big thanks to "delfisastre")
- Added: Logitech Media Server: Added option to remove unused nodes
- Added: RFXtrx Lucci Fan DC Added
- Added: MQTT Push message on scene/group switch event
- Added: MySensors: handling of I_INCLUSION_MODE message.
- Added: MySensors: support for SmartSleep option (gateway 2.x)
- Added: Netatmo: rssi support
- Added: New Managed meter type
- Added: OnkyoAVTCP: Add source selection, detection via NRIQSTN
- Added: OpenWeatherMap: cloud sensor
- Added: RFXCom: support for WIND7, RAIN7/RAIN8/RAIN9
- Added: Rtl_433: support for wind sensors, HH and LL humidity values
- Added: Selector Switch: correcting display for all UTF8 characters now
- Added: Styles folder can have its own images folder to overwrite stock images
- Added: Telegram notifications
- Added: Voltage/Current for Armbian Kernal 4.14+
- Added: Webserver: automatically reload SSL certificates and DH params3
- Added: Xiaomi Aqara Cube
- Added: ZWave node ID to log
- Removed: NMA Notification system (the service has stopped)
- Updated: Dzvents (version 2.4.6, See dzVents/documentation/history.md)
- Updated: OenZWave driver and configuration files
- Updated: Translation files
- Updated: Various internal libraries (C++/WWW)
- Changed: Floorplans now stored in database
- Changed: Improved color dimmer support
- Changed: Internal HUE/RGB/W/WW handling
- Changed: Philips Hue: internal code
- Fixed: Various, see github

Version 3.8153 (July 30th 2017)
- Fixed: Camera Editor, will now always refresh thumbnail in table
- Fixed: Devices could become invisible when a scene/group was added to the 'hidden devices' room plan with the same idx
- Fixed: JSon float/nan value, solved by upgrading JSonCPP
- Fixed: OZW, when a value is updated and the sensor did not exists before (for example a kWh sensor), it is created (saves a restart)
- Fixed: Daemonize compatible with Systemd forking type
- Changed: Blinds T5 till T13 new DeviceID generation, could cause new sensors
- Changed: Lessen rounding errors for computed energy
- Changed: Minimized On/Off/Script execution time
- Changed: SolarEdgeAPI, now only needs API Key
- Changed: Support symlinks for plugin and theme directories
- Changed: Switch type 'Door Lock' renamed to 'Door Contact'
- Changed: Temperature Only charts will not display the Humidity axis
- Changed: Wind Direction Graph, if sensor does not supports 'Gust', the 'Speed' value is used
- Changed: Updated OpenZWave (and configuration files)
- Added: Added a new parameter to disable the logging of event script triggers 'Script event triggered: ...'
- Added: AppLamp/LimitLess bridge V6.0 RGBW/RGBWW
- Added: Blinds T1 till T13 new supports the Stop button
- Added: Blockly/Lua Set SetPoint option
- Added: Devices, Log icon for Blinds
- Added: Dummy Hardware, Temp+Baro
- Added: Estonian Language support (big thanks to Kuido)
- Added: EvohomeWeb support (Thanks to Gordon3!)
- Added: General/Text sensor now able to be shared
- Added: I2C BME280 sensor (temp+hum+baro)
- Added: I2C for non arm systems
- Added: InfluxDB Data push
- Added: Latvian Language support (big thanks to Edgars)
- Added: Netatmo Home Coach support
- Added: Notification for Dummy Soil/Moisture sensor
- Added: Notification for Dummy Temp/Hum/Baro sensor
- Added: Notification for Alert Sensor via udevice JSON call
- Added: Onkyo AV Receiver (Thanks to dwmw2!)
- Added: Option to replace an Meter device
- Added: OZW, Added support for Atmospheric Pressure sensor
- Added: Python Plugin System
- Added: RFXtrx Lucci Fan Added
- Added: RFXtrx RFY2 protocol Added
- Added: RFXtrx Kangtai / Cotech Added
- Added: RTL433 (Thanks to Petri Ahone!)
- Added: SolarEdgeAPI, support for multiple inverters
- Added: Support for Ble Box hardware
- Added: Support for different usage/return costs for electricity
- Added: Support for Intergas InComfort LAN2RF Gateway
- Added: Support for Open Weather Map
- Added: Support for Open Web Net
- Added: Support for XiaomiGateway Gateway
- Added: Support for YeeLight
- Added: Support for Youless LS120
- Added: Switch type 'Door Lock'
- Added: SysFS GPIO (Thanks to hvbommel/jvandenbroek!)
- Added: Teleinfo : Added a switch indicating the current cost slot
- Added: Timer Plan editor
- Removed: Razberry ZWave handling method. Existing users need to migrate to OpenZWave
- Integrated dzVents 2.0.0: See dzVents/documentation/history.md

Version 3.5878 (November 10th 2016)
- Fixes and various improvements

Version 3.5837 (October 30th 2016)
- Fixed: Blockly/Lua, FOR and RANDOM are now again in minutes
- Changed: Shortlog charts for Temperature, Current and Smartlog are now using a spline
- Changed: Lua/Blockly, Notifications are now not blocking

Version 3.5834 (October 29th 2016)
- Added: TSL2561 illuminance I2C sensor (ldrolez)
- Added: AccuWeather support
- Added: Air Quality graph, Avarage and Previous month/year
- Added: Atag One Thermostat support
- Added: Blockly/Lua Camera device, to send camera snapshots with subject after xx seconds
- Added: Blockly upgraded to latest version (fixed and cleaned some code as well), this fixes problem with long sensor lists
- Added: Blockly, option to excecute a script in the DO statement
- Added: Custom Sensor
- Added: Denkovi Smartden with LAN Interface
- Added: Devices Tab, Log icon for Pressure
- Added: Dust Sensor (ug/m3)
- Added: Error Log, option to send error logs by email
- Added: Hourly rainrate for all rain sensors
- Added: MySensors, Added Acknowledge Timeout per Child sensor
- Added: MySensors, S_WATER_QUALITY, water PH
- Added: MySensors, S_WATER_QUALITY, water ORP redox potential in mV
- Added: MySensors, S_WATER_QUALITY, water electric conductivity S/cm (microSiemens/cm)
- Added: MySensors, S_POWER, Reactive power: volt-ampere reactive (var)
- Added: MySensors, S_POWER, Apparent power: volt-ampere (VA)
- Added: MySensors, S_POWER, Ratio of real power to apparent power: floating point value in the range [-1,..,1]
- Added: Nefit Easy, User Mode (as switch, On=Clock, Off=Manual), Flow Temperature, Hot Water Mode
- Added: Notifications, custom notification text helpers $name and $value
- Added: OpenZWave, Aeotec ZWave+ USB Controller, Enable/Disable blinking mode (@Schmart, Thanks for the magic codes!)
- Added: OpenZWave, Node table, now also displays Manufacturer, Product ID and Product Type
- Added: OpenZWave, When including Thermostat Setpoints, the zwave Label will be used as Name by default
- Added: RFXMeter, Option to specify meter offset
- Added: P1 Electra Report, Now also displaying the counters for Return
- Added: RFLink: Displaying firmware version in the hardware setup
- Added: RFXCom, Blinds T12 (Confexx)
- Added: S0 Meter TCP
- Changed: I2C sensors grouping (ldrolez)
- Changed: ETH-8020, ignoring return message as it always returns (no more Success message)
- Changed: EventSystem, weather/rain value is now the rain-rate
- Changed: Forecast.io to DarkSky
- Changed: OpenZWave, Better support for Thermostat Modes
- Changed: Stable ID generation for Philips Hue scenes (you need to delete all scenes and restart the hue hardware or domoticz)
- Changed: TE923, Rain counter devided by 2
- Changed: Waterflow sensor, now uses Node+Child as ID (for example 0x0801)
- Changed: Wind Direction graph (now does not display directions when speed was equal to zero)
- Fixed: Better handling of white listed commands/urls
- Fixed: Blockly, fixed extra quote when setting a user variable string value
- Fixed: Database backup is now only possible for admin users
- Fixed: Double checking command rights
- Fixed: Dummy, Creating a new sensor always used the same id
- Fixed: Dummy, when new sensor is created, Add it to the EventSystem
- Fixed: Fix Off Delay not handled for Selector switch (#538).
- Fixed: Fix On/Off delays not saved on the selector switch edit form (#532).
- Fixed: Logitech Harmony, Ping request now working as well for firmware 4.10.30 (Herman)
- Fixed: KMTronic, did not work in timers/groups/scenes
- Fixed: Manual Light/Switch, when created, Add it to the EventSystem
- Fixed: Wind Speed/Gust graph, Plotbands
- Fixed: Added grid lines to percentage/lux/general graphs
- Updated: AngularJS 1.5.8
- Updated: Highcharts 4.2.6
- Updated: SQLite3 v3.13.0

Version 3.4834 (March 2nd 2016)
- Added: Blockly, now possible to use expressions in notifications/email/SMS like "My temperature is {{temperaturedevice[1234]}} degrees" (see http://www.domoticz.com/wiki/Events)
- Added: Blockly, now possible to send a notification with a user variable/device as subject/body
- Added: Chinese language support, big thanks to wxws!!
- Added: Custom Templates, now possible to directly call custom template pages (http://127.0.0.1:8080/#/Custom/mypage)
- Added: Day display in energy/gas/water/temp report
- Added: Dummy Hardware, Option to supply name, sensor is now also directly added to the system
- Added: Dummy Hardware, Wind+Temp+Chill
- Added: Dummy Hardware, option to create an RGBW switch
- Added: Extra timer-schedules: Odd/Even Days, Odd/Even Weeks, Monthly & Yearly
- Added: Hardware Monitor for FreeBSD (but it needs the libsysinfo package to work)
- Added: HTU21D(F)/SI702x Humidity+Temp I2C sensor (jvandenb)
- Added: Icelandic language support, big thanks to Magnus!!
- Added: Log View, added options to display All/Status/Error
- Added: Lua Editor
- Added: Macedonian translation (Big thanks to jocogvg!!!)
- Added: MySensors Ethernet gateway will now request the gateway version on startup
- Added: MySensors, Added V_CUSTOM
- Added: MySensors, Option to Enable/Disable using ACK per Child sensor from the MySensors hardware setup page
- Added: MySensors, Option to Name a node
- Added: Nest Protect
- Added: Nest Thermostat, support for multiple thermostats
- Added: Netatmo, support for multiple Thermostats
- Added: Netatmo, support for multiple weather stations (from the weathermap) and multiple rain sensors
- Added: New switch type 'Selector' (big thanks to cgaudry)
- Added: OpenZWave, added COMMAND_CLASS_PROTECTION in configuration options
- Added: OTGW, added firmware version number in hardware setup page
- Added: Option to transfer old Percentage sensors to new Percentage sensors
- Added: Philips Hue, support for Groups (create them with an external app like HueMote)
- Added: Philips Hue, support for stored Scenes (create them with an external app like Hue Pro)
- Added: RFLink: Added various sensors/devices (stuntteam)
- Added: RFXCom support for Legrand CAD
- Added: RFXCom support for Lighting5 IT (Intertek,FA500,PROmax,...)
- Added: Romanian Language translation (Thanks to Adrian!)
- Added: SBFSpot, support for multiple inverter instances
- Added: Scene Log
- Added: SolarEdge via Web API
- Added: Temperature Tab room selector
- Added: Thermosmart option to set specify outside temperature sensor
- Added: Waterflow sensor
- Added: Wind Beaufort scale
- Added: Wind Graph, option to delete a short-log data point
- Added: Panasonic TV support (Viera TV's after 2011 should work)
- Changed: Alert sensor, removed level notation in user interface
- Changed: EventSystem, don't process unused devices
- Changed: Fritzbox, Now updating text sensor on connect/disconnect
- Changed: Month temperature report average is now calculated by the daily average value
- Changed: OpenZWave, Control Panel log starts displaying from the end when entering for the first time
- Changed: OpenZwave, kWh sensor now maybe compatible with more hardware
- Changed: OpenZwave, not sending cold-white in the colorclass, solved issues on different Zipato bulbs
- Changed: OpenZWave, Renamed internally 'Color Control' to 'Color"
- Changed: Webserver, Refactor the webserver server class to separate the HTTP and HTTPS implementation, and gather all server settings in the new server_settings and ssl_server_settings classes.
- Changed: Webserver, Add -sslmethod, -ssloptions and -ssldhparam arguments to domoticz executable.
- Changed: Webserver, Refactor the logs to distinguish the two servers (HTTP and SSL).
- Fixed: Alert Sensor, displaying sValue again
- Fixed: Blockly, Set user variables (you need to resave your blockly's)
- Fixed: Blockly, string uservariables where saved with quotes when not using with set-after
- Fixed: Changing device order when selected a Room in the lights/utility tab
- Fixed: CM180i graph display
- Fixed: Dummy RGB sensor creation (was created with wrong ID)
- Fixed: EventSystem, now also handling sensors that only uses numbers instead of strings for data
- Fixed: Manual add Blyss type (Group code was wrong)
- Fixed: Manual add LightwaveRF type (DeviceID was wrong)
- Fixed: MySensors, barometric value was not used when below 995 hPa
- Fixed: Nest Thermostat, setting set point in Fahrenheit
- Fixed: RFXCom (433) protocol setup, Home Comfort checkbox did not show correct state
- Fixed: RGB sensor now also uses the RGB popup system
- Fixed: S0 Meter, fix for reloading totals of (#179)
- Fixed: Thermosmart, unpause
- Fixed: Fix the cleanup of sessions by shortening the validity duration of long term cookies (30 days instead of 1 year) and by cleaning all sessions asynchronously every 15 minutes.
- Fixed: Fix a potential issue in login process using a certificate when the subjectDN of the certificate has a different format.
- Fixed: Remove session only when the Logout command has been executed.
- Fixed: Fix a cache refresh issue by respecting HTTP standard (HTTP 304 and 204).
- Fixed: Remove unnecessary session attribute _tWebEmSession::lastRequestPath (used to check the request URI).
- Fixed: Optimize the reading method of the database backup file by allocating memory before reading the file and set it as the reply content.
- Fixed: Optimize the methods webem_action_function, webem_include_function and webem_include_function_x execution, by replacing the return value with an argument passed by reference.
- Fixed: Remove the unnecessary attributes cWebServer::m_retstr and cWebServer::m_wretstr used to received command and action result
- Fixed: Remove unnecessary session attribute _tWebEmSession::outputfilename (used to set content disposition header in the HTTP response).
- Fixed: Optimize the reading method of the '/ozwcp/cp.html' file by allocating memory before reading the file and set it as the reply content.
- Fixed: Optimize the reading method of the zwave configuration file by allocating memory before reading the file and set it as the reply content.
- Fixed: Refactor the http::server::reply structure and add some helper methods.
- Fixed: Fix filename attachment when saving ZWave configuration file (use filename instead of path).
- Fixed: Fix dead code in the AsyncSerial::close method causing the method not to stop or close the background resources.
- Fixed: Fix a security issue (DOS) in webserver to prevent a remote_endpoint exception to be thrown to the WebServer class causing the webserver to be down (no possible stop and no possible connection). Now, the webserver can be scanned using the nmap tool (for the SSL configuration purpose).
- Fixed: Fix the webserver not stopping and not restarting issue after an exception occurred.
- Fixed: Fix multiple session cleaner start after restarting webserver.
- Fixed: Fix webserver initialization failure if the local network interface is not IPv6 (due to wrong initialization sequence).
- Fixed: Fix abandoned connections not removed because the method connection_manager::check_timeout is never called [Security/Performance].
- Updated: OpenZWave, configuration files
- Updated: SQLite3 v3.11.1.

Version 2.3530 (November 1th 2015)
- Added: Degree Days in Temperature report
- Added: RFXCom, support for Home Confort TEL-010
- Fixed: Segmentation fault while cleaning timed out sessions (#180)

Version 2.3521 (October 31th 2015)
- Added "Stop" state in blockly in switch states
- Added: Ability to parse data coming from an HTTP POST data with a lua script (seb)
- Added: Added Logitech Media Server support (thanks to EddyK69!!)
- Added: Added pushbullet notifications (thanks to tofra!!)
- Added: Arabic translation (big thanks to Mo7sen!!)
- Added: Blockly, Option to compare sensor value against another sensor value
- Added: Blockly, Split Utility Sensors into multiple groups
- Added: Blockly/Lua SendSMS
- Added: Catch SIGHUP signal for log rotation (LarsForum)
- Added: Danish translation (big thanks to jokkemokke!!)
- Added: Devices Tab, now displaying scenes/groups
- Added: Dummy Hardware, Ampere Single (single ampere value, other ampere sensor expects 3 values)
- Added: EventSystem, now also reacts on master switches when a slave switch state changes
- Added: EventSystem, now supports Weather sensors: UV/Distance, Wind Gust (or speed when gust is not available), Solar Radiation and Rain
- Added: EventSystem, optimized Blockly calls (saves a lot of calls and cpu)
- Added: Hebrew translation (big thanks to mickeyv!!)
- Added: HTTP Data push, new types for Type/SubType/Hostname/Device Name
- Added: HTTPS support for On/Off actions
- Added: Icon Uploader, now possible to edit name and description
- Added: Icon Uploader, now possible to upload zip files with multiple folders
- Added: Icons for RFXMeter Gas/Water
- Added: Kodi Hardware device (Big thanks to dnpwwo!)
- Added: Logwindow, Added option to filter text
- Added: Mochad secure support (thanks to Simon)
- Added: MySensors added support for S_SCENE_CONTROLLER, V_SCENE_ON, V_SCENE_OFF
- Added: MySensors added support for S_SMOKE/S_DIMMER
- Added: MySensors added support for V_IMPEDANCE
- Added: MySensors, now using ACK for node commands (and fails if no ACK is received)
- Added: MySensors, renamed V_LIGHT to V_STATUS and V_DIMMER to V_PERCENTAGE to be compliant to the 1.5 API
- Added: MySensors, some more default naming of sensors if they where presented with a name
- Added: MySensors, V_IR_RECEIVE and V_IR_SEND
- Added: MySensors, V_TEXT, V_HVAC_SETPOINT_COOL and V_HVAC_SETPOINT_HEAT
- Added: Netatmo Weather Station (Big thanks to Sebastien!)
- Added: Notifications, new option "Ignore Interval"
- Added: OpenZWave, added Ultraviolet sensor type support
- Added: OpenZWave, Include/Exclude progress dialog-
- Added: OpenZWave, multi instance association support (thanks to xs4!!!)
- Added: Option for Dummy device to create Soil Moisture,Leaf Wetness, RGB Switch
- Added: Option how to display the kWh day graph (Power or (k)W/h)
- Added: Option to add a log message via the json api (see wiki)
- Added: Option to enter a description for each sensor/switch/scene
- Added: Option to flash sensors when an update is received (enable in the settings page)
- Added: Option to hide scenes/groups (placing a $ in front of the name)
- Added: Option to rename unused devices
- Added: Option to replace an Energy device
- Added: Rain Report
- Added: Revolt, added support for Voltage/PowerFactor/Frequency
- Added: RFLink SmokeDetector support
- Added: RFLink: Added various sensors/devices (stuntteam)
- Added: RFXCom (Serial) option to update the firmware via the web interface
- Added: RFXtrx ASA protocol Added
- Added: RGB Popup to select color/on/off
- Added: Satel Integra hardware support (big thanks to Fantom)
- Added: Scene codes now handles again seperate status (on/off)
- Added: Scene, option for 'stop'
- Added: Serbian language support, big thanks to siklosi!!
- Added: Settings/Backup/Restore, when performing a database backup/restore the database is cleaned
- Added: Settings/Log, option to clear all short-log data
- Added: Slovenian language support, big thanks to eden86!!
- Added: smartwares thermostat, Logging of Day/Night switch
- Added: smartwares thermostat, Logging of setpoint value
- Added: smartwares thermostat, Setpoint popup
- Added: smartwares thermostat, Setpoint, now always logged
- Added: Support for browsers that do not support gzip compression (thanks to ash77)
- Added: Support for multiple scene/group codes
- Added: Support for the Plugwise Anna Thermostat (NEM)
- Added: Temperature Report
- Added: Text/Alert Sensor logging (when called from json api)
- Added: Thermosmart Thermostat
- Added: Web Server can now be bind to specific address (-wwwbind) (seb)
- Added: When clicking on the log button, browser page now always go to the top
- Changed: Air Quality chart will now not begin at 0
- Changed: All Energy sensors have been transfered to General kWh sensors (more accurate)
- Changed: BMP085, when forecast is unknown, its calculated directly based on the pressure
- Changed: disabled timeout for smartwares thermostat (no incoming data from device)
- Changed: EnOcean rocker inclusion (thanks to zorgluf!)
- Changed: EventSystem, not adding sensors from disable hardware
- Changed: forced fixed icon sizes on some locations (in case of to big user defined icons)
- Changed: Internal HTML/JS changes to support all types of characters in the sensors name
- Changed: json "udevice" Percentage sensor, you might get new ID's, now also creates an event for blockly/lua
- Changed: KMTronic LAN, now using actual On/Off commands instead of 'Toggle'
- Changed: Lowered HTTP connection timeout to 10 seconds
- Changed: Main, all fatal signals where not handled (e.g. SIGILL, SIGABRT,SIGFPE) (cgaudry)
- Changed: Main, application should be stopped after fatal signal receiving (cgaudry)
- Changed: Main, dumptrace is not logged because the stderr handle is closed on startup (cgaudry)
- Changed: Main, signal code received is not logged (cgaudry)
- Changed: migrated to github
- Changed: MySensors, rebuild
- Changed: non-windows systems, scripts can now use a relative patch to the scripts folder if script does not start with a '/'
- Changed: OpenZWave, Alarm/Notification mappings update (xs4)
- Changed: OpenZWave, Fibaro Wall Plug, now using multisensor for power reading
- Changed: OpenZWave, when receiving a timeout notification, do not flag node as 'dead', only log the message
- Changed: RFXCom, fixed confusing logs (cgaudry)
- Changed: Short Log cleanup method
- Changed: SQL Queries, now using safe_query to escape all strings (big thanks to Thibaut!)
- Changed: SQLHelper, spelling mistake (cgaudry)
- Changed: Switch icon picker now has a fixed height
- Changed: Windows serial port Enumeration (now also supports windows 10)
- Fixed: 1-Wire negative values
- Fixed: Battery low (typo) notification
- Fixed: Counter Incremental small icon display on devices tab
- Fixed: Davis Logger
- Fixed: Devices Tab, set device to unused
- Fixed: Display correct energy graph in devices view (spline instead of bars for short log)
- Fixed: Email Notifications where always enabled after restart
- Fixed: EventSystem, _tEventItem.Conditions should not be modified while reading m_events (cgaudry)
- Fixed: EventSystem, asctime is not thread-safe (replaced with strftime) (cgaudry)
- Fixed: EventSystem, SIGSEGV (cgaudry)
- Fixed: EventSystem, splitresults has missing values because m_devicestates is modified while using an iterator on the map (cgaudry)
- Fixed: EventSystem, fixed memory leak when calling lua scripts
- Fixed: HTTP Push table localization (thanks to cgaudry)
- Fixed: Icon Uploader, uploading went wrong with large files
- Fixed: MySensors, corrected sending localtime
- Fixed: MySensors, Negative temperature sensor
- Fixed: MySensors, S_LIGHT now creates an initial switch again
- Fixed: MySensors, switch names where always set to default name (was caused by safe_query changes)
- Fixed: Netatmo, Rain Sensor
- Fixed: OpenZWave with large homeid values
- Fixed: Post command handling
- Fixed: pushover sound notification (thanks to EddyK69)
- Fixed: Revolt, Energy Graph
- Fixed: Scenes RFY switch command now correctly handled
- Fixed: Security Panel delay, now again possible to set delay to 0 (directly)
- Fixed: Temperatures not updated on UI without refreshing browser or changing tabs
- Fixed: Tooltip bug for the Dusk sensor in the Lights tab
- Fixed: upgrading via the web interface (some users had experienced a problem)
- Fixed: Weather tab, notifications

Version 2.2563 (June 14th 2015)
- Added: WebServer, native SSL and keep-alive, big thanks to chimit!!!!
- Added: RFXCom, support for Blinds T9/T10
- Added: RFXCom, mode6 (Keeloq protocol) support
- Added: RFXCom pTypeInterfaceControl messages
- Added: RFXCom, sTypeTH13/sTypeTH14
- Added: MQTT support
- Added: Native 'Ping' (System Alive Checker) hardware
- Added: KMTronic USB/WEB/RS485 relay hardware
- Added: 'SMS' notification system
- Added: 'Kodi' notification system (thanks to dnpwwo)
- Added: 'Custom HTTP' notification system
- Added: Fritzbox Hardware type for caller ID
- Added: JSON API, option to 'Toggle' a switch state between On/Off
- Added: Sound Level sensor (dB)
- Added: Support for the ETH8020 relay board
- Added: Lithuanian language support (thanks to our translators!)
- Added: Hungarian language support (big thanks to Isty1974!)
- Added: Greek language support, big thanks to George!!
- Added: Distance Sensor (cm/inches)
- Added: Mertik (Thermostat 3) added Second Up/Second Down option in the popup
- Added: BMP085/MySensors forecast Cloudy/Rain when pressure is <1010 hPa and original forecast was Cloudy
- Added: Devices tab, Barometer/Text log option
- Added: 'Toon' zwave switches support
- Added: Mertik (Thermostat 3) Up/Down popup
- Added: P1 Meter, Energy Used/Generated in graph
- Added: Option to specify sensor timeout (default 60 minutes)
- Added: Option to Enable/Disable notification systems
- Added: Option to supply custom notification messages
- Added: notifications, option to send to specific systems
- Added: Basic Auth, log message when a wrong username/password is provided (thanks to pj-r)
- Added: Scene/Group, now possible to add same device multiple times, as long as the ondelay is different
- Added: Scene devices now supports both on and off delays (off = ondelay + offdelay)
- Added: CORS browser support
- Added: Settings, Battery Low check
- Added: Counters in P1 Electra/Gas month reports per day
- Added: OTGW, MsgID=14 and MsgID=17 (if reported)
- Added: OTGW, CH_Enable/DHW_Enable are now switchable (Thanks to Rob K)
- Added: OTGW, support for GPIO A/B switches (Thanks to Rob K)
- Added: Devices Tab, option to rename device
- Added: Events/Lua, User Variable can now be set after XX seconds
- Added: OpenZWave, Sanity check for Network Key Length
- Added: Openzwave, Now using security branch
- Added: OpenZWave, option to include device secure (only use for ZWave+ devices)
- Added: OpenZWave security, added support for the Philio PST02-1A door contact
- Added: OpenZWave velocity sensor (wind)
- Added: Uservariables, display Idx value (thanks to ikkemaniac)
- Added: Incremental Counter sensor (thanks to ikkemaniac)
- Added: SolarMax inverter with Lan interface
- Added: Current sensors now also display actual state in caption
- Added: Extra check in short-log cleanup
- Added: Mobile Phone icon
- Added: Set Blinds Percentage level from blockly (Ticket #437)
- Added: 'Nest Thermostat' hardware support
- Added: Option to Enable/Disable the Custom tab for non-users (admin)
- Added: Warning when deleting a Blockly event
- Added: Blind status "Stopped" now also displayed on dashboard
- Improved: MySensors support
- Improved: Logitech Harmoney Hub
- Changed: Avoiding possible RTC/NTP clock drifts
- Changed: Transferring a device will now look internally which device is newer/older
- Changed: Meteostick support (thanks to Devilsnet)
- Changed: Handling timeout (dead node)/Awake status, also for switches in the Gui
- Changed: More translation work done
- Changed: OpenZWave, when a switch/dimmer is turned off, and this node has a Power/Energy sensor, their value is set to 0
- Changed: OpenZWave Color Command Class (you need to re-include the node)
- Changed: Javascript translation system to I18Next
- Changed: Air Quality (CO-2) sensor class
- Changed: P1 Electra/Gas meters now have an ID, update all your domoticz instances!
- Changed: S0 Meter, actual usage calculation
- Changed: Wind sensor, now using max speed/gust in short log
- Changed: Inverted open/close for BlindsT10
- Changed: Swapped counters for 'Toon', usage/delivery 1 and 2 where inverted
- Changed: RFLink: disabled debug, corrected support for KAKU door/window sensors and dim values
- Changed: Notification system (big thanks to chimit!)
- Changed: Moved curl folder to windows libraries folder (windows compiler, download the new WindowsLibraries.zip)
- Changed: Now possible to disable serial hardware when usb port is not available
- Changed: FibaroLink/Datapush, support for V4 firmware
- Changed: General Graph, min value is now calculated dynamically
- Changed: Better new update notification when launching browser
- Changed: Logitech Harmony Hub code
- Changed: RFLink controller initialization detection (reported by gkroone)
- Changed: Serial Port names (now always as string)
- Changed: Setpoint Up/Down rounds up to 0.5 degrees
- Changed: Not sending actual motion sensors off command, only updating internally
- Changed: Enlarged windows console log window
- Changed: Scenes, now supports adding security devices
- Changed: Teleinfo, added support for CBEMM meters (TELEINFO_TYPE_MOTDETAT), thanks to berty!
- Changed: Light/Switch log now includes seconds in popup
- Fixed: ZWave Light dimming
- Fixed: Updating hardware settings for GPIO
- Fixed: UVC camera default parameters where incorrect
- Fixed: Fritzbox received from/to where switched
- Fixed: TeleInfo (TDF) Hardware ID
- Fixed: Closing Voltcraft usb device handle after reading
- Fixed: P1 Gas, shortlog graph hour shift duo DST
- Fixed: Update UserVariable from json
- Fixed: Not handling invalid barometer svalues (duo invalid json call)
- Fixed: Sunset/Sunrise update in blocky events (thanks to pj-r!)
- Fixed: Compiling under ubuntu (issue 'rm CMakeCache.txt' first)
- Fixed: hardware setup, passwords containing specials characters
- Fixed: devices tab, adding device with names containing specials characters
- Fixed: Email Port, please check your email settings if the port is still correct
- Fixed: Gui display problem when going from Scenes to the Devices table
- Fixed: Pushover/NMA now use the subject again
- Fixed: Setting correct folder permissions on the backup folder
- Fixed: Blockly, now escaping strings/xml
- Fixed: Blockly, possible saving of 'ghost' events
- Fixed: User Editor, updating a user could result in random password change
- Fixed: EventSystem, checking if notification contains two parameters
- Fixed: S0 Meter, Restore last values, and updating hardware settings
- Fixed: Gui slider update for Blinds Percentage
- Fixed: Possible bug that could delete an incorrect shortlog data point (option in graph, shift-click to delete)
- Fixed: CM113 "Watt", now only displays 1 phase if phase 2/3 are 0 (not used)
- Fixed: custom tab now only displayed when there are html files in the template folder, and the option display custom tab is enabled
- Fixed: Removed update notification in the login screen
- Fixed: wind gust tooltip
- Fixed: Wind Graph generation could cause a crash

Version 2.2284 (February 22th 2015)
- Fixed: Firefox, RGBW/Setpoint popup

Version 2.2283 (February 21th 2015)
- Added: Alert Sensor (update via udevice json call)
- Added: Automatic OpenZWave heal network command at 04:00am
- Added: Blinds1, T7 Forest
- Added: Blockly/Lua Thermostat/Setpoint utility device
- Added: Changing color in scene/groups will now also change it on actual device (for preview)
- Added: Cubie internal Voltage/Current sensors
- Added: Devices tab, CM180 log option
- Added: Dewpoint devices in Blockly
- Added: Dimmer, on/off actions
- Added: Displaying OpenZWave version
- Added: EnOcean, added support for TempHum.02
- Added: EnOcean3, added support for door level
- Added: Evohome support (Thanks to Will!)
- Added: GUI Theme selection
- Added: Icon scaling setting per floorplan
- Added: Logging counter values for P1 meter (not displayed yet)
- Added: Logging when a script is executed
- Added: Manual add Blinds T6 type (DC106, YOOHA, Rohrmotor24 RMF)
- Added: Manual add Smartwares Radiator switch/device (will be visible afterwards at Utilities)
- Added: Manual add Thermostat2 switch (type HE105)
- Added: native HTTPS support
- Added: Native Mochad hardware support (thanks to kaashoek)
- Added: OpenZWave Node Queried status, last seen in Node table
- Added: OpenZWave, Added NorthQ nq9121.xml config file
- Added: OpenZWave, Added Qubino ZMNHJA2.xml config file
- Added: OpenZWave, Blinds Percentage Inverted (Thanks to PIM)
- Added: OpenZWave, COMMAND_CLASS_COLOR_CONTROL (for o.a. Zipato RGBW) (needs to be accepted by openzwave yet)
- Added: OpenZWave, Controller Node, option for Nightly Network Heal (disabled by default)
- Added: OpenZWave, polling all multi_sensor values now (if polling enabled)
- Added: OpenZWave, support for COMMAND_CLASS_THERMOSTAT_MODE and COMMAND_CLASS_THERMOSTAT_FAN_MODE
- Added: OpenZWave, when doing an Inclusion, "allow new hardware" is enabled for 5 minutes if disabled
- Added: Option for Dummy device to create Ampere Sensor
- Added: Option for Dummy device to create Switch Sensor
- Added: Option for Dummy device to create Usage (Electric) Sensor
- Added: Option to upload/use Custom Icons for On/Off switches (See updated manual)
- Added: OTGW sending current time/day
- Added: OTGW, added support for setting the Control Setpoint
- Added: P1 SmartMeter, support for the Gyr E350 (Gas reading)
- Added: Philips Hue native support
- Added: Previous Baro meter to month/year graph
- Added: PushAlot notification system (Thanks to Toni!)
- Added: Raspberry Pi 2 Internal CPU Temperature
- Added: RGBW Popup to select color/on/off
- Added: Roomplan selector on switches/utility tab
- Added: S0 Meter, settings for meter 3,4 and 5
- Added: SBFSpot compatible now
- Added: Scene/Group, Blinds Percentage (+Inverted) can now set the percentage level
- Added: Scenes/Groups, additional On/Off delay option
- Added: Setpoint Popup
- Added: sha256sum checksum checksum checking while downloading a new beta/stable
- Added: Support for device-type Usage/Electric in Blockly/Lua
- Added: Support for MySensors
- Added: Text Sensor (update via udevice json call)
- Added: Thermostat Setpoint timers
- Added: Trend Lines in various charts
- Added: ttyACM serial ports if available
- Added: Wind Gust chart
- Added: ZWave battery values for all sensor types that reports this
- Changed: 1Wire, better temperature checking
- Changed: Better/Correct appcache handling of themes
- Changed: Date/Time notation in log to ISO-8601 (thanks to Ugo)
- Changed: Dimmer value is now updating on screen
- Changed: EventSystem time trigger now on exact minute change
- Changed: floorplan code to handle non-landscape images better
- Changed: floorplan interface, German translation
- Changed: kWh meters that do not provide current usage will now calculate the usage in the day graph
- Changed: lua 'UpdateDevice' now updates internal state instead of reloading all states
- Changed: Mertik, will now display status=ON when received Up/Down command
- Changed: Motherboard sensors logging, there will be new devices, and this time working as normal (can be shared/used everywhere)
- Changed: New patch for Logitech harmony (thanks again!)
- Changed: OpenZWave code change to fix (ApplicationCommandHandler - Unhandled Command Class 0x2b)
- Changed: OpenZWave Fibaro RGBW configuration file (had problems with the powerlevel class)
- Changed: OpenZWave logging, more persistent with node id's (thanks to Ugo)
- Changed: OpenZWave, configuration file for Romotec ZXT-120
- Changed: Renamed SMASpot to SBFSpot
- Changed: Scene/Group now takes switch On-Delay into account
- Changed: Settings Page
- Changed: Status message color in log viewer
- Changed: TE923, now supports battery levels (good/bad)
- Changed: Themes are now sorted, ignoring .svn folders
- Changed: ZWave lights/dimmers can now be dimmed in percentage from 0..100 (Thanks to Gilles)
- Fixed: Blinds1, T6 DC160 should work now
- Fixed: Dashboard, Scenes now not displayed if user does not have the rights to them
- Fixed: Deleting data points from general graphs (like voltage)
- Fixed: Dimmer slider resize
- Fixed: Gui, working with Sensors that contains special characters in the name
- Fixed: Hardware data timeout notation for 24 Hours
- Fixed: I2C, possible crash when no device connected
- Fixed: lua 'UpdateDevice' now reloads current states
- Fixed: lua/blockly energy device value
- Fixed: OpenZWave Node configuration parameters with special characters
- Fixed: OpenZwave RGBW controller
- Fixed: OpenZWave when doing a soft/hard reset all entries will be deleted from the ZWaveNodes table
- Fixed: OpenZWave, converted home_id to correct variable
- Fixed: OpenZWave, now fully supported domoticz as a secondary Controller (thanks to Cruguah)
- Fixed: Openzwave/zwave.me issues with large home_id
- Fixed: Possible crash in Eventsystem (GetCurrentMeasurementStates) where string value was empty
- Fixed: Pushover notification setup in settings (could contain invalid characters)
- Fixed: Setpoint timers, 'when' selection
- Fixed: Setting default security network key for openzwave
- Fixed: Temperature trend-line toggle removed range chart data
- Fixed: Timer editor, by default all day check boxes are now checked (to match everyday as default)
- Fixed: Windows Exit application from tray icon
- Fixed: YouLess counter value in Report
- Updated: AngularJS library
- Updated: WindowsLibraries on server

Version 2.2025 (September 28th 2014)
- Added: 'Toon' hardware support
- Added: 1wire : add support of DS2438 (family 26h) on OWFS and Windows
- Added: A-OK Blinds now displays a stop button
- Added: Added Fibaro Motion Sensor (0800/1001) to the openzwave manufacturer file
- Added: additional dparam replacement for the json command option (can be used where &param is translated to ParaCharacterEntity (PHP for example)
- Added: AppLamp now remembers last dim level in the widgets
- Added: Application Settings, option to allow receiving of new sensors for 5 minutes (button)
- Added: Blockly, switch light on/off after xxx seconds
- Added: catching SIGHUB, it will recreate the log file (could be usefull for logrotate functions)
- Added: Dashboard, clicking on the 'contact' switch icon now displays the switch log
- Added: Delete short log value P1 SmartLog (Shift-Left click)
- Added: Device Name now displayed for the Scene/Group learn code
- Added: Devices Over, added log icon for Chime and Thermostat
- Added: EventSystem can now use the utility values for Percentage/Voltage/Lux
- Added: Fibaro Link data pusher
- Added: Forecast button in temperature/weather tab
- Added: Hardware device auto restart option
- Added: It is now logged which user issued a switch/security reset/setpoint/thermostat state change command
- Added: JSon parameter=udevice now will set the SetPoint if it applies
- Added: Latest RFXCOM SDK (6.24)
- Added: Latest RFXCOM SDK (6.25)
- Added: Light/Scene/Group timer with fixed Date/Time
- Added: Lighting2 scene activation support for GroupOn/Off devices
- Added: Lighting5, Aoke
- Added: Meteostick USB
- Added: Native Logitech Harmony support (thanks to CodeItAway!)
- Added: Navigation toolbar for mobile devices
- Added: New internal website system
- Added: On/Off switches, On Delay option
- Added: openzwave added support for Vision Battery Operated Siren (ZM1601EU)
- Added: OpenZWave configuration of 'Wake-up Interval' (COMMAND_CLASS_WAKE_UP)
- Added: OpenZWave Tag Reader support
- Added: OpenZWave, Fibaro RGBW color wheel/timer support
- Added: Option for custom pages, see www/templates folder
- Added: Option for Dummy device to create Gas Sensor
- Added: Option for Dummy device to create Lux Sensor
- Added: Option for SMASpot device to import old month data (SMASpot month files)
- Added: Option for SMASpot device to import old month data (SMASpot website export)
- Added: Option in Login form to remember username/password (1 year)
- Added: Option in settings to choose default or holiday timer plan (maybe custom plans later)
- Added: Option to delete data point from sensor by Shift-Left click on short log for counter graphs
- Added: Option to enable/disable eventsystem (lua/blockly/scripts)
- Added: Option to hide devices (placing a $ in front of the name, or the new special roomplan)
- Added: Option to hide Sensor's from whom it's hardware is disabled
- Added: Option to log to syslog
- Added: Option to run as daemon (see new domoticz.sh startup script)
- Added: Rasberry Pi GPIO (WiringPi) support, thanks to Vicne!
- Added: RFXCom over LAN setup button
- Added: RFXtrx RFY protocol Added
- Added: RFXtrx TH12 soil sensor (Imagintronix)
- Added: RFY Off Delay (Stop)
- Added: RFY, Venetian Blinds support (EU/US)
- Added: RGB light timer now shows actual color on device when selected
- Added: Room Plan editor, hardware name infront of sensors to add
- Added: Scene On/Off actions
- Added: Sensor type CM119/160 can now display previous year data
- Added: setting signal/battery level from udevice json call
- Added: Splash screen for iPhone5 retina
- Added: Support ENI provider in ICY hardware
- Added: Switch icon Alarm
- Added: Switch Scene/Group behaviour with learn codes enabled
- Added: today value for Energy devices in Utility tab
- Added: Toon Flame State
- Added: web traffic reduced when refreshing widgets
- Added: Web Update now also supported for linux_x86_64 systems (Ubuntu)
- Changed: appcache file
- Changed: AppLamp more support for RGB lamps (not sold anymore)
- Changed: AppLamp more support for White lamps
- Changed: Camera setup, dropped videoURL, Screenshots are now taking from within Domoticz, now possible to watch live camera over internet connection (snapshot refresh every 100ms)
- Changed: Counter reports will now include 'today'
- Changed: Energy Device now logs updates same value in short log
- Changed: GPIO applied new patch for new WiringPi support
- Changed: Increased Shortlog resolution for Gas/Water sensors
- Changed: LaCrosse WS2300 Wind sensor does not report speed, now setting speed=gust
- Changed: Not logging sensors that are ignored
- Changed: OpenZWave COMMAND_CLASS_SENSOR_MULTILEVEL support for multiple index/instance
- Changed: OpenZWave Lux sensors that reports in percentage is now converted to Lux (with a max of 1000 Lux)
- Changed: openzwave, larger timeout for messages to and from secondary controllers
- Changed: pTypeUsage log now with a resolution of .1 Watt
- Changed: RFXMeter values for Water/Gas now displays with 3 digits
- Changed: Security Panel (thanks to The Duke!)
- Changed: startup script now compatible with new ubuntu pidofproc
- Changed: startup script path to include /usr/local/bin, users of wiringPi should replace the startup script
- Changed: Transfer device rebuild to Replace Device (See manual)
- Changed: When receiving of new sensors is disabled, it's now possible to add a manual light/switch
- Disabled: Internal hardware monitoring, some users have issues with latest changes
- Fixed: (to be verified) possible crash when sending emails when no internet connection was available
- Fixed: AppLamp Group4 operation
- Fixed: Chime devices now visible on dashboard
- Fixed: Correct colour will now be send to AppLamp/Fibaro RGBW from timers
- Fixed: Dashboard/mobile, double 'open' for contact switch types6
- Fixed: Editing Humidity Device will (Not displaying temperature adjustment)
- Fixed: Editing Utility Setpoint Name
- Fixed: Floorplan editor missing database table fields
- Fixed: Hardware Setup, motherboard sensors can now be enabled/disabled
- Fixed: Lights/Scenes On/Off actions with spaces and special characters
- Fixed: Manual add Lighting 2 switch (type HE)
- Fixed: On/Off actions for security devices
- Fixed: openzwave dimable lights did not restore to last brightness level when turned on
- Fixed: OpenZWave support for multi binary sensor (for instance FGBS001)
- Fixed: Override pages now checks for authentication
- Fixed: Pushover notification (thanks to Gerlo)
- Fixed: Remote sharing of devices with same ID
- Fixed: S0 Meter second pulse counter
- Fixed: Scene timers after including timerplan option
- Fixed: setting setpoint from udevice json call
- Fixed: TeleInfo checksum calculation
- Fixed: Updater when eventsystem was disabled, and added laguage support
- Updated: OpenZWave library

Version 1.1680 (April 21th 2014)
- Added: Allow interactive emulation of X10 sensors
- Added: Blinds Percentage switch type (Fibaro roller shutter)
- Added: BlindsT7 (Forest)
- Added: Bulgarian translation (Thanks to Tommit!)
- Added: Charts have now a dropdown option, export to CVS
- Added: Dashboard tiles can now be ordered for room-plans
- Added: Dashboard, clicking on a Visibility/Radiation sensor icon will display the log
- Added: Device Tab, option to display chart for sensors with Current/Percentage/Volt/Humidity
- Added: Energenie5/COCO GDR2-2000R
- Added: EnOcean ESP2 (TCM-120) support for On/Off/Dimmer, Temperature, Humidity and Light Sensors
- Added: FreeBSD compatibility
- Added: jsonp support
- Added: Latest RFXCOM SDK (#74)
- Added: Light Log, Arm/Disarm/Motion/No Motion now also visible in graph
- Added: New General Voltage devices with 3 decimals
- Added: Norwegian translation (Thanks to Sungrazer!)
- Added: openzwave Voltage/Ampere
- Added: OpenZWave, configuration is now written to disk every hour
- Added: OpenZWave, option to configure node list settings
- Added: OpenZWave, option to delete failed nodes
- Added: OpenZWave, option to include/exclude nodes, support for windows COM port numbers greater then 9
- Added: OpenZWave, Receive/Send Configuration, Transfer Primary Role
- Added: OpenZWave/Razberry, Power Factor sensor
- Added: Option for Dummy device to create Air Quality Sensor
- Added: Option to control Meiantech security status
- Added: Option to display temperature in Fahrenheit
- Added: Option to Enable/Disable Widget Re-Ordering (settings page)
- Added: Option to specify S0 Meter serial baudrate
- Added: OTGW, CH Water Pressure (if available)
- Added: OTGW, option to specify outside temperature sensor (hardware setup)
- Added: OTGW, status switches
- Added: P1/Counter log, Previous year in charts
- Added: P1/Gas/Counter log, report charts
- Added: Portuguese translation (Thanks to Maluku!)
- Added: Pressure Sensor (Bar)
- Added: protection option for light/switches/scenes/set points
- Added: Pushover notification support
- Added: Razberry COMMAND_CLASS_SCENE_ACTIVATION (push on button) on Instance_0
- Added: Razberry COMMAND_CLASS_THERMOSTAT_MODE (0/1)
- Added: Razberry Voltage/Ampere
- Added: Report for RFXMeter Water
- Added: Script parameters for Light On/Off actions
- Added: Slovak translation (Thanks to marek786!)
- Added: SMASpot, accepting windows edited configuration lines!?!!...
- Added: SMASpot, Temperature
- Added: SMASpot, voltages, efficiency, Hz and Bluetooth signal strength
- Added: Support for Forecast.io
- Added: Support for ICY (Essent) Thermostats
- Added: Support for P1 Cables with baudrate 115200
- Added: Support for Remote Control buttons (On action Only!)
- Added: Support for SMASpot compatible solar Inverters
- Added: Support for SolarEdge Inverters (SE5000 and similar with TCP/IP interface)
- Added: Switch On/Off actions can now also be used from outside Domoticz (for instance using them to an actual remote control)
- Added: Temperature Month/Year graphs now display min/max as a range
- Added: Temperature Month/Year graphs now displays Average Temperature
- Added: Temperature/Weather widgets forecast button if hardware is WU/Forecast.io
- Added: Thermostat 3 (Mertik) now visible on dashboard
- Added: Thermostat3 Support (Mertik)
- Added: unix hardware monitor for Memory/CPU and Disk usage
- Added: Web Frontpage Example
- Added: Weight Scale now includes a digit in the graphs
- Added: Widgets now turn yellow (if no timeout) if the battery level is <= 10 percent
- Changed: All external hardware sensors without RF now reports rssi level 12
- Changed: HTML code for manual light
- Changed: Lots of work on charts plotting
- Changed: Mobile Dashboard now uses buttons to toggle state
- Changed: no more hour: minute in month/year graphs
- Changed: Other method to retrieve raspberry pi temperature
- Changed: Raspberry Pi temperature reporting intern. (Should save an extra return in the log output)
- Changed: Temperatures are now valid till 380 degrees
- Changed: Translation Language Loading
- Changed: ZWave, Power sensors that does not transmit usage, now used as power instead of usage
- Fixed: custom_light_icons json request (now reporting status OK)
- Fixed: Daylight Saving values for 29-march-2014
- Fixed: Fibaro Wall Plug (fgwpe) config
- Fixed: Limitless/AppLamp problem
- Fixed: OpenZWave fixed possible problem with Alarm Level/Flood/Smoke/Heat value changes
- Fixed: OpenZWave general type (motion sensor) (thanks to Dnpwwo!)
- Fixed: OpenZWave humidity updates
- Fixed: OpenZWave/SMASpot/Solaredge remote Domoticz clients did not receive Power reports
- Fixed: OTGW, TCP/IP working now
- Fixed: OTGW, dunit was not set
- Fixed: Problem in requesting devices when a Voltage device was queried (after this device no more where retrieved)
- Fixed: Pushover test option in the settings page
- Fixed: Razberry, problem with door sensors
- Fixed: Razberry, supports now devices with multiple switches (SENSOR_BINARY)
- Fixed: Scene/Group editor now displays Level is the first light/switch supports it when entering the page
- Fixed: Set SetPoint device
- Fixed: Shortlog cleanup for Percentage/Fan
- Fixed: Temperature icons for Fahrenheit
- Fixed: Thermostat SetPoint in Fahrenheit
- Fixed: WebUI dew point calculation for Fahrenheit
- Removed: Unused Save/Delete buttons in edit Scene/Group
- Updated: Highcharts 3.0.10

Version 1.1396 (January 18th 2014)
- Added: Add Manual Light/Switch for Meiantech
- Added: Application Settings, option to enable/disable adding of new hardware/devices (For example to disable newly received RF hardware)
- Added: Blockly/Lua, Send Email notification to
- Added: Creation of 2 new database parameters in DeviceStatus
- Added: Creation of auto backup folders
- Added: Dashboard, clicking on a Motion/Dusk/Rain sensor icon will display the log
- Added: day & nighttime boolean variables in Lua
- Added: Dummy hardware, option to add counter/electric sensors
- Added: gzip compression for web traffic
- Added: Ignoring negative WU rain/uv/visibility values
- Added: Added RisingSun manual add light/switch option
- Added: Initial support for EnOcean hardware (Only ESP2, protocol V2) at the moment, and switches only
- Added: Initial support for RGB driver TRC02
- Added: Limitless/AppLamp, can now also be used as 'Dimmer'
- Added: Limitless/AppLamp, can now be set to a defined color in scenes/groups/timers
- Added: Limitless/AppLamp, option to set Hue/Brightness in the Edit option
- Added: New 1-Wire system (Thanks to Sebastien!), Kernel users have to transfer old sensors to new ones (device id is swapped in hex)
- Added: New 1-Wire system (thanks to Sebastien)
- Added: new commandline option to specify www root folder (-wwwroot)
- Added: Notification Priority in Lua/Blockly
- Added: OpenZWave Controller node configuration (PollInterval)
- Added: OpenZWave, now possible to set Node configuration settings
- Added: OpenZWave, option to download configuration file via Node dropdown menu
- Added: Option to delete data point from sensor by Shift-Left click on short log for temp/uv/lux/usage graphs
- Added: Option to specify On/Off actions for lights/switches (http/script)
- Added: P1 Smart meter, counter values in report
- Added: Polish translation (Thanks to Jastrzi !)
- Added: Prevent multiple windows instances from running
- Added: Prowl/NMA notification priority (not in Lua/Blockly yet)
- Added: Russian translation (Thanks to kur1977)
- Added: Security Panel delay
- Added: various improvements to have Domoticz compile in VS2010 straight from the repository
- Added: Windows installer option to install as service (for server implementations, no icons will be installed)
- Added: Windows, Support for OpenHardwareMonitor supplied sensor data in Windows version of Domoticz. See wiki for info. If you see a hardware device "Internal sensors", please delete it. The correct one to use is "Motherboard".
- Added: www port can be specified in windows installer
- Changed: Contact notifications now says 'Open/Closed' instead of 'On/Off'
- Changed: devices tab, ID of Energy devices now displayed in Hexadecimal
- Changed: Door Lock/Contact switch type now also handles 'Set Group Level'
- Changed: Log file will append, not deleted when domoticz is restarted
- Changed: OpenZWave, better handling of COMMAND_CLASS_ALARM and COMMAND_CLASS_SENSOR_ALARM (you might get new devices!)
- Changed: S0Meter extended for devices with 5 wires
- Changed: Smoke Detector reset button now gray when there is no panic, purple when there is
- Fixed: Autobackup
- Fixed: Commandline option for linux now ignores slash character /
- Fixed: Day string logging for the DT1 - RTGR328N device
- Fixed: Device/Scene/Group names can now included special characters like %
- Fixed: Edit Users, right combobox did not correctly update when selecting a user
- Fixed: Endianess problems
- Fixed: Fixed problem with lux day value
- Fixed: Hardware Settings, Domoticz remote server port display
- Fixed: Hardware started/stopped state, should fix the double starting of hardware
- Fixed: I2C BMP085 hardware port notation
- Fixed: Level dropdown now hidden in Scene/Groups for RGB devices
- Fixed: LightWaveRF dimming
- Fixed: Notifications for Rego6XX status (switches) were not working
- Fixed: openharwaremonitor drifting WMI id's. Please delete all previous ohwm devices and select the new ones with slash paths in the id.
- Fixed: OpenZwave for windows release build
- Fixed: OWFS Windows, Counter(s)
- Fixed: PiFace hardware port notation
- Fixed: Rego6XX counter logs did not work
- Fixed: RFXtrx hardware can now also be compiled/used accross big-little endianess systems
- Fixed: Scene/Group timer editing (specified days was incorrectly handled)
- Fixed: Switch On/Off action deletion
- Fixed: Transfer dialog did not show correct title in front of destination device
- Fixed: URL encoding in Edit Light/Switch
- Fixed: Usage/Meter (year/month) did not report correctly for values older then one year (not also uses less web traffic)
- Fixed: User Devices for Users that did not have 'Shared' rights
- Updated: Highcharts 3.0.9, JQuery and JQueryUI

Version 1.1186 (November 16th 2013)
- Added/Changed: Scenes 'Learn' command will now listen to the status (pressing On/Off/Mood)
- Added: Added more log buttons to the devices tab
- Added: Added otherdevices_dewpoint to Lua scripts
- Added: Added otherdevices_rain to Lua scripts
- Added: Added otherdevices_rain_lasthour to Lua scripts
- Added: Added otherdevices_uv to Lua scripts
- Added: Added otherdevices_winddir to Lua scripts
- Added: Added otherdevices_windgust to Lua scripts
- Added: Added otherdevices_windspeed to Lua scripts
- Added: Added Visibility/Solar Radiation to Lua scripts
- Added: Alecto SA30 smoke detector hardware support
- Added: BBQ hardware supported (Maverick ET-732)
- Added: Camera Setup, Streaming Icon
- Added: Clicking on the security-panel icon in the dashboard/switch tab brings you to the actual security panel
- Added: CM180i, now also displaying total usage
- Added: Counterlog, Week chart, legend values
- Added: Dashboard, clicking on Energy/P1 Smart Meter/Lux icons displays the log
- Added: Dashboard/Lights/Scenes now displays a webcam icon when used in a Camera Setup
- Added: Dim levels in steps of 5%
- Added: Hardware type list is now sorted
- Added: Limitless/AppLamp/WifiLedLamp (with Wifi Hub) hardware support
- Added: Livolo hardware supported (switches/dimmers)
- Added: New Version notification with version info, and option to review the latest changes
- Added: OpenZWave initial support (Aeon USB Stick V2), with Temp/Hum/Lux/Power/Energy/Switches
- Added: Option for each timer type to enable 'Randomness'
- Added: Option to enable/disable menu tabs per user
- Added: Option to manual add a ByronSX doorbell
- Added: Oregon EW109 Temp+Humidity sensor support
- Added: Rain, Short Log in graph
- Added: Razberry Smoke Alarm
- Added: Razberry, support for switch only devices (will be reported to controller NodeID)
- Added: Revolt Power meter hardware support
- Added: Rollertrol now displays a stop button
- Added: Room Plan editor, dashboard room selector
- Added: Room Plan editor, now possible to add Scenes/Groups
- Added: Room Selector now also vissible on mobile devices
- Added: Solar Radiation for Davis
- Added: Teleinfo UDF French power meter
- Added: Transfer Temp/Temp+Hum now possible between different subtypes
- Changed: Added leading zero's in the Power/Gas reports for the months (work around)
- Changed: ByronSX now uses the sound type as Unit ID
- Changed: Lua example scripts now in UTF8
- Changed: Lua scripts, now only works when file ends with .lua
- Changed: Rain values will now update in realtime (was every 5 minutes)
- Changed: Room Plan editor, now allows to assign devices to multiple rooms
- Fixed: Creating a virtual device when there where no devices in the system did not work
- Fixed: Editing (changing the name) of security devices
- Fixed: Enable/disable menus for remote admin users
- Fixed: Notifications (NMA) was not sent if the API key contained spaces
- Fixed: Possible problems when adding a manual switch (Invalid Switch ID message)
- Fixed: rain week log, some top legend values did not show on the chart
- Fixed: Random Timer interval in the setting page was not stored
- Fixed: Siren Switch type can now be switched on/off

Version 1.1087 (Oktober 16th 2013)
- Added/Fixed: HTML5, New Alert/Confirmation system to solve iOS issue
- Added: 1Wire Voltage support on Utility/Dashboard
- Added: Alecto WS1200 (Temp+Rain sensor)
- Added: Chime Byron SX
- Added: Dashboard, clicking on the Temperature/UV/Wind/Rain/Baro/Lux icons displays the log
- Added: Eventsystem, Comma now supported in event OpenURL
- Added: Eventsystem, Events now triggered by security state change Added script_security_name.lua for sec panel triggers in lua.
- Added: Eventsystem, Utility Device support for Energy,Gas,AirQuality,RFXSensor(Volt/AD),RFXMeter
- Added: Leaf Wetness sensor
- Added: Local hostname now automatically included in Local Network setup
- Added: Logging RFXSensor AD/Volt
- Added: Login page (solves the caching problems)
- Added: Notification intervals extended
- Added: OpenZWave, support for Sensor_Binary Motion/Tamper/Door sensor (for example the Philio 3In1)
- Added: option in settings for basic-auth login type
- Added: Option to create virtual sensors for dummy hardware (hardware tab)
- Added: Option to Restart/Shutdown the system
- Added: Option to specify local networks with mask (192.168.0.0/24, 192.168.0.10/32)
- Added: Option to update to Stable or Beta versions
- Added: P1 Smart Meter electra, Report view
- Added: Raspberry Pi camera parameters
- Added: Report view for: P1 Smart Gas electra, CM119/160
- Added: RFXSensor Voltage, Log/Notifications
- Added: S0 Meter USB
- Added: Scenes/Groups device ordering
- Added: Security Panel status now in device list
- Added: Started with custom icons for On/Off switches
- Added: Swedish language support (thanks to the community!)
- Added: Temperature Average is now being logged, needed later for Degree Days
- Added: Temperature Dewpoint in custom graph
- Added: time safeguard (for systems without RTC)
- Added: Wake-up On Lan support
- Added: Web Update now also supported for armv7l systems (cubieboard2)
- Added: WU, extra protection for wind speed/gust
- Changed: Dashboard Smart meter display in mobile mode
- Changed: Dutch translation, and added extra TO field
- Changed: Dutch translation, now UTF8 based
- Changed: iPhone/iPad shortcut icon
- Changed: Logout button now placed under setup for users with admin rights
- Changed: New splash screens for iOS
- Changed: Now letting SQLite calculating the date/time for clearing up the short-log
- Changed: OpenZWave, Sensor_Binary now also uses the Index value (you might get new sensors, and old one can be removed)
- Changed: P1 Smart Meter Energy, removed Actual as it is displayed in Big
- Changed: P1 Smart Meter Gas, added Today value in Big
- Changed: Removed actual meter values for meters sensors in dashboard, only usage/return is displayed
- Changed: RFXCOM mode setup, RFU5 -> ByronSX
- Changed: Soil Moister sensor type moved as subtype of general sensors
- Fixed: 1Wire illegal temperature (exactly 85 degrees)
- Fixed: Baro meter temperature graph keep showing loading effect
- Fixed: buttons add sensor/switch buttons now hidden for 'viewer' users
- Fixed: Camera special video/image url characters
- Fixed: Chime (ByronSX) when turning on manualy inside domoticz
- Fixed: Cost reports where meter had no previous month
- Fixed: devicechanged values in lua incorrect for humidity and barometer
- Fixed: Eventsystem, ampersands in OpenUrl not stored in database
- Fixed: EventSystem, Calling internal URL from within blocky resulted in a unresponsive system (deadlock)
- Fixed: Eventsystem, problem where inactive event would still trigger when multiple events apply
- Fixed: Light/Dimmer status when switching groups
- Fixed: non admin user devices view (was only working correct for user with ID=1)
- Fixed: P1 Smart Meter Electra Utility refresh value for meters with return supply
- Fixed: P1 Smart Meter power, now reports 0, when timeout
- Fixed: Rain week chart (caused by new highcharts version)
- Fixed: Razberry Dimmer On/Off command
- Fixed: Security devices always showing as switchtype 0
- Fixed: Shortlog History days display when showing graph from dashboard
- Fixed: Typo's in SQLHelper.cpp

Version 1.940 (July 31th 2013)
- Added: Add manual switch support for Lighting1/Energenie
- Added: Application settings, mobile view (mobile, or as normal dashboard), iPhone will always be mobile theme
- Added: device name in scripts calls (6th parameter)
- Added: Dew Point calculation for sensors with Temperature + Humidity
- Added: Dew Point logging (not visible yet!)
- Added: Dew Point notifications
- Added: Dummy hardware device, that does nothing, but can be used for virtual switches
- Added: Graph tooltips day of week translation
- Added: Initial Support for Weather Underground sensors
- Added: JSon, updating device based on idx (json.htm?type=command&param=udevice&idx=123&nvalue=1&svalue=2)
- Added: Lighting2, when a Group On/Off is received, all switched with the same ID will be set to 'On' or 'Off' (internally)
- Added: Moisture Sensor (for example from Davis)
- Added: New Scene/Group functionality
- Added: Raspberry Pi camera
- Added: Razberry (Z-Wave), thermostat/light/temp/hum battery status
- Added: Scenes, Dimmer Level
- Added: Scenes, now have an On/Off button
- Added: Security Panel
- Added: Solar Radiation Sensor (for example from Weather Underground)
- Added: Spanish language support (thanks to the community!)
- Added: Temperature tab, translated speed,gust and chill
- Added: Visibility Sensor (for example from Weather Underground)
- Added: Wind Speed Unit option (m/s, km/h, mph, knots)
- Added: Z-Wave, thermostat SetPoint
- Changed: Dim Slider for mobile items now smaller
- Changed: Last xx hours/days graph, Only Gas/Electricity sensors with same previous value will be ignored
- Changed: Weather Underground updates now every 10 minutes
- Changed: Weather Underground updates now every 15 minutes
- Fixed: 'No Update Available !' translation
- Fixed: Drag/Drop of devices
- Fixed: Notification for internal combined temp/hum sensors (La Crosse TX3)
- Fixed: possible curl bug when DNS timeouts
- Fixed: Scenes table now includes pagination at the bottom
- Fixed: Set RFXCOM mode, Visonic was not working
- Fixed: Temperature graphs legend translation
- Fixed: Temperature graphs tooltip unit
- Fixed: Users with old event table could have a crash when starting domoticz
- Fixed: Wind Speed/Gust should now be translated
- Fixed: WU rain sensor (will have a new sensor type, old one needs to be removed)
- Fixed: YouLess day measurement
- Fixed: YouLess meter structure
- Fixed: Z-Wave, Wattage scale factor was not initialized
- Removed: Device Type on Temperature/Weather tab

Version 1.762 (July 1th 2013)
- Changed: Motion Sensors, Off delay now sends 'Off' to Lighting 1/6 devices, and 'No Motion' to X10 motion sensors
- Changed: Only RAEX blinds will not show a 'stop' button
- Changed: Wind Station LaCrosse WS2300 will again display 'gust'
- Changed: Wind Station LaCrosse WS2300 will not display 'gust' any more
- Changed: WindType5 (WS2300) will not display speed in widgets
- Fixed: Ampersand in name could cause domoticz to go in endless loop
- Fixed: Camera Snapshot emailing
- Fixed: CM119/160/180 Energy daily values (for readers with a very high counter)
- Fixed: CM119/160/180 Energy Usage values
- Fixed: Hardware Setup, Mode button for RFXCom back again
- Fixed: Hardware Setup, the selected existing hardware could not match with the hardware type dropdown
- Fixed: Notification translations
- Fixed: Possible read error for YouLess devices (extra space in front of total power)
- Fixed: Setup dropdown, users/notifications selection highlight
- Fixed: Sharing of Voltcraft,Razberry,BMP085
- Fixed: Some RFXCOM protocols could not be set in the hardware setup (Meiantech,Visonic,FS20,RSL)
- Added: Blinds Stop button
- Added: BMP085 altitude display
- Added: BMP085 I2C sensor (Rasberry Pi/arm only)
- Added: BMP085 Possible forecast, still need exact method
- Added: Dimmer devices keep there dim value when not setting the level (on/off)
- Added: French language support (thanks to the community!)
- Added: German language support (thanks to the community!)
- Added: Global hardware sharing system (application settings, user manager)
- Added: Initial language translation
- Added: Italian language support (thanks to the community!)
- Added: Latest RFXCOM SDK (#67)
- Added: Lighting2, when a Group Off is received, all switched with the same ID will be set to 'Off' (internally)
- Added: Lux Meter Type (Currently used by Z-Wave hardware)
- Added: Now possible to switch remote hardware
- Added: On/Off switches, Off Delay option
- Added: Scenes can now be re-ordered (dashboard/scenes tab)
- Added: Shared clients can now control switches
- Added: User now sees only allowed devices
- Added: X10 Security Arm/Disarm from dashboard/switches tab
- Added: X10 Security Remote Arm Home/Arm Away prompt
- Added: X10 Security Remote, When status is 'Panic' the alarm can now be disarmed
- Added: Z-Wave Temp/Humidity sensor
- Removed: Altitude from BMP085 sensor

Version 1.666 (May 28th 2013)
- Added: 1-Wire aux sub-folders
- Added: 1-Wire Humidity sensors
- Added: 1-Wire OWFS sensor support, see Wiki pages
- Added: 1-Wire sensor support (temperature at the moment, w1-gpio, w1-therm) see Wiki pages
- Added: 1-Wire startup delay
- Added: Application Settings, Notification Interval for Sensors/Switches
- Added: Blinds now always have open/close buttons
- Added: Clicking on the version number now displays the history file
- Added: Devices Overview, added device Idx
- Added: Enabled Timer support for Push On/Off light/switch devices
- Added: Option to backup database (Setup -> Application Settings left menu)
- Added: Option to enable/disable menus from application settings
- Added: Option to request list of all timers via JSON (gettimerlist)
- Added: Option to send Notifications (Setup -> More options)
- Added: Settings Email, option to send camera snapshots as attachment
- Added: Settings, Doorbell could be send as 'Group On' or 'On' command
- Added: Settings, Option to specify P1 Smart Meter Type (with/without Decimals)
- Added: support for 1-Wire with hubs
- Added: User Editor
- Changed: 1-Wire OWFS, ignoring ID=0 when temp is also 0
- Changed: command line parameter -logfile is not -log (do not enable logging, only if needed, use the application log viewer)
- Changed: Door bells do not display a status message anymore
- Changed: generic little endian detection algorithm
- Changed: meta viewport, removed device-width option
- Changed: Reorganized main menu
- Changed: Web users not loaded when no Application Settings admin account is specified
- Fixed: Data for the last selected day in the custom short term graph was not shown
- Fixed: Light Log graph, "Group Off" now seen as Off
- Fixed: Light/Switch type 'Door Lock' on Lights tab showed initially a wrong icon for the 'Open' state
- Fixed: notification.png now included in SVN (caused browser cache problems)
- Fixed: Power Usage Graph, Problem with other devices then P1 Smart Meter
- Fixed: Settings Email, now possible to send a test email without username/password
- Fixed: Switched tab, initial Push-On icon was set to off
- Fixed: Voltcraft C020 value reading corrected for little endian systems
- Fixed: Windows installer now includes scripts folder

Version 1.607 (May 11th 2013)
- Added: 5th parameter for light/switch script (full status descriptor)
- Added: Date/Time/SunSet/SunRise on every page (except mobile browsers will have only SunSet/SunRise)
- Added: Device type Blinds (Safy / RollerTrol / Hasta / A-OK RF01,AC114 / RAEX / Media Mount)
- Added: Email connection timeout (10 seconds)
- Added: Email Notifications
- Added: Email notifications now send in background
- Added: Email now via Curl library
- Added: Email setup test button
- Added: Experimental Light Log graph
- Added: IP-Camera setup, and option to send email for light/switch/scene (email setup via application settings)
- Added: Latest RFXCOM SDK (#66)
- Added: Light/Switch notification On/Off type
- Added: Light/Switch type "Door Lock"
- Added: Option to enable/disable sending Emails in Notification Alerts
- Added: P1 Smart meter Power, logging of day/night tariff separately (!note: next day value will be low)
- Added: Push On switch type On/Off icon
- Added: Raspberry Pi, is ttyAMA0 is free (GPIO/cmdline.txt) it can be used
- Added: Razberry (Z-Wave) switch support
- Added: Razberry (Z-Wave) usage meter sensor
- Added: Support for multiple Email recipients
- Added: Temp+Baro sensor, subType BMP085 I2C
- Added: Volcraft CO-20 Air Quality hardware device (Unix only!)
- Added: Website security, forbidden result after to many attempts
- Added: when a light/switch is pressed an optional script can be started (see scripts/readme.txt)
- Changed: Email setup now includes Port number
- Changed: ignoring illegal Raspberry temperature (85/-273)
- Changed: LightwaveRF inline relay, "Open inline relay" now seen as "On"
- Changed: Normal script calls should now use the 'params' option for parameters
- Changed: Notification text 'Greater then' changed to 'Greater Than'
- Changed: P1 Smart meter Power, Day/Week graph now displays both meters (day/night)
- Changed: P1 Smart meter Power, graph color swap between tariff 1/2
- Changed: P1 Smart meter Power, now displaying real usage in short log graph, instead of peak values
- Changed: Rego6XX Type setting moved to the hardware settings in the same way as RFXtrx setup is done
- Fixed: background scripts now outside of mutex (could cause a lock)
- Fixed: Email now being send with UTF-8 encoding
- Fixed: Possible timer problem duo sunset/sunrise reloading issues
- Fixed: Push On delayed Off was deleted from queue, and was being send
- Fixed: PushOn button Off delay time now handles values above 255
- Fixed: RFXtrx USB mode option in hardware settings, will now return to dashboard
- Fixed: Scene 'Learn' code option can now be used with already known switches
- Fixed: Scenes with a Push On type switch will now only send the On command to this switch
- Fixed: Switch Lights Off (Dimmer) now does not update slider position
- Fixed: TE923 (Weather stations) hardware can now be shared
- Fixed: webgui update auto restart (caused by script changes)
- Removed: patch for 'Better day value calculation' for multimeter devices (Like P1 Smart Meter electra), not needed

Version 1.484 (April 28th 2013)
- Added/Fixed: web update now not available for ArchLinux raspberry pi
- Added: Add support for Lighting6 (Blyss)
- Added: Added support for short term data in the custom temperature graph
- Added: Browser cache is not automatically refresh (with a standby notification)
- Added: Multi language support for sensors/switch names
- Added: New wind rose icons
- Added: Notifications for new updates are now send once in every 12 hours, unless checked by hand
- Added: Option to delete data point from sensor by Shift-Left click on month/year graph point
- Added: Option to display update check
- Added: Push On Button switch type (sends an OFF command)
- Added: Push On Button switch type (sends an ON command, with option to specify Off delay)
- Added: Raspberry Pi onboard temperature sensor
- Added: Raspberry Pi, updating via the web browser (Settings Tab)
- Added: Support for the heat pump controller Rego600-Rego637 (Rego6XX)
- Added: Utility sensors now display their usage value in large font
- Added: Version number now read with json call
- Added: Web Gui, sticky Notification (now only used when there is an update for the Raspberry Pi)
- Changed: Application Settings
- Changed: Better day value calculation for meter devices
- Changed: Negative wind direction to positive
- Changed: Temperatures can now be max. 260 degrees
- Fixed: Adding Light/Switch as Sub-Device from Devices tab
- Fixed: Dashboard showed all light devices instead of only favorite ones
- Fixed: Meter value dupplication checked now performed for actual day
- Fixed: NMA notifications working again
- Fixed: Push On delayed Off was not working
- Fixed: Rain (PCR800) rate/hour corrected
- Fixed: ResetSecurityStatus json return status
- Fixed: RFXtrx USB mode option in hardware settings
- Fixed: Sensor Timeout status update in web interface
- Fixed: Visual Studio svn template was not added to SVN
- Updated: HighCharts Library

Version 1.412 (April 1th 2013)
- Added: Ability to change page / bookmark page using # on url
- Added: Added SVN revision number to version string
- Added: Adjustment value for barometer sensors
- Added: Adjustment value for temperature sensors
- Added: Chart tooltip now includes weekday
- Added: Checking for invalid sensor values
- Added: Combined LaCrosse TX3 Temp + Humidity sensor as one new device
- Added: command line option '-logfile'
- Added: Displaying of RFXCOM Firmware
- Added: Log now includes sensor name (if known)
- Added: Log Window
- Added: Minimized log traffic from server to client
- Added: Mobile desktop, shortcuts for actual tab page
- Added: Motion Sensor Off Delay
- Added: multiply value for rain sensors
- Added: New layout, dropdown menu, hardware moved to setting dropdown
- Added: New Log mechanism (needed later for log viewer)
- Added: Option to set RFXCOM Mode (enable/disable protocols)
- Added: Scenes
- Added: Scenes can now be added to the dashboard
- Added: Sensors that are not received within xx minutes are highlighted
- Added: Sensors that are not received within xx minutes are not logged any more (one hour now, will be in the settings)
- Added: SQLite faster journal/update mode on non-windows systems
- Added: Started working on support for the CM180i
- Added: TE932Tool (USB 433MHz Weather Station, Hideki weather station like IROX Pro X, Mebus TE923 or TFA Nexus)
- Added: Temperature (large) icons now represents global temperature index
- Added: Temperature/Weather sensors now display their main value in large font
- Added: Unix update script
- Added: Weather Station barometer now more precise (xxxx.x hPa), and displaying device forecast
- Added: Wind Direction Icons
- Added: Wind meter direction is now averaged ( ~10 minutes )
- Added: Windows, if user has NO admin rights, the Domoticz database will be created in %ProgramData%\Domoticz folder
- Added: Windows, no longer need admin rights
- Changed: Drag/Dropping sensors now inserts instead of swapping items
- Changed: Error log now contains date/time
- Changed: Excluded TE293 for windows systems
- Fixed: After/Before Sunset/Sunrise when starting the application (could be triggered next day)
- Fixed: Barometer did not show on the dashboard under weather
- Fixed: Deleting a device now also deleted the schedules
- Fixed: Dim slider using now values 1 till ... , 1=Off
- Fixed: Domoticz startup script, restart, time between stop en start set at 4 seconds
- Fixed: KD101 smoke detector battery indication (has none)
- Fixed: Light/Switch notification could not be unset
- Fixed: Loading schedules only for used devices, deleting otherwise
- Fixed: Only TFA UV sensor will now report a temperature
- Fixed: Option to enlarge the short-log (5 minutes)
- Fixed: P1 Smart Meter (Gas) now has a timeout of 3 hours
- Fixed: Siren icon on dashboard
- Fixed: Stopping of Domoticz with Domoticz share could take 30 seconds, should be 1 not
- Fixed: Temperature month/year graph
- Fixed: Temperature/Humidity display on dashboard
- Fixed: Weather Station can now handle 6 temperature channels
- Fixed: Weather Station Negative temperature
- Fixed: Weather Station Rain meter

Version 1.0.9 (February 17th 2013)
- Added: 'Delay Off' for Motion detectors
- Added: Dimmer change now directly updates the user interface status
- Added: dimmer timer support
- Added: Latest RFXCOM SDK
- Added: Motion Detector
- Added: Option to enlarge the short-log (5 minutes) till 7 days
- Added: OWL 160/180/190 logging/graphs
- Added: OWL113 option to display in Ampere/Usage
- Added: P1 smart meter will update once a minute, or when usage difference is greater than 40 Watt
- Added: P1 Smart meter, Gas value now send when changed, or every 5 minutes
- Added: Serial port auto reconnect option
- Added: Smoke Detector Off image
- Added: temp_hum Rubicson/IW008T/TX95
- Changed: Manual Add light switch types are now complete
- Fixed: 'Dimmer' on the dashboard on mobile devices
- Fixed: Day display for Month/Year utility graph
- Fixed: Dimmer slider (had a hardcoded device index)
- Fixed: Edit Lights/Switches Smoke Detector type
- Fixed: HTML checkbox 'ischecked' property duo upgrade to new JQuery
- Fixed: Initial dim slider position on dashboard
- Fixed: LightwaveRF dimmer value notation
- Fixed: Mobile dashboard slider image redraw issue
- Fixed: Mobile desktop, blind open icon
- Fixed: Not displaying the 'timer' option for certain devices
- Fixed: Notification Enable/Disable checkbox
- Fixed: Now able to clear light log for security1 devices
- Fixed: Possible issue when disabling/enabling/removing hardware

Version 1.0.8 (February 3th 2013)
- Changed: HTML cleanup (Updated to newer libraries as well)
- Changed: Setting a switch level is now done by setting the level to 0=Off, 1..xx for the level
- Changed: When setting switch level = 0, the switch is turned Off now
- Fixed: Hardware Enabled/Disabled option
- Fixed: Light/Switches timer, time dropdown combobox
- Added: Alternative webpage username/password reset (resetpwd file)
- Added: Inverted blinds switch type
- Added: New (Windows) command line argument (-nobrowser) do not start web browser
- Added: OWL113 Ampere Notifications
- Added: OWL113 current logging/chart
- Added: P1 Energy Meter, today notification
- Added: P1 Energy Meter/P1 Gas Meter/YouLess, usage notification
- Added: P1 Gas Meter/YouLess/RFXMeter, today notification
- Added: Switchtype 'Dimmer'
- Removed: SQLite MFC runtime dependency

Version 1.0.7 (January 18th 2013)
- Added: Added jwsmtp class
- Added: Clicking Top Left (Domoticz) will show dashboard
- Added: Dashboard now includes server date
- Added: Error message when serial port gets disconnected
- Added: Hardware can now be Enabled/Disabled
- Added: Lights/Switches, Contact Open/Closed icon
- Added: Option to transfer old device logs/settings to a new device (for example when the device battery is replaced and received a new ID)
- Added: Support for MAC serial ports
- Added: Temperature Custom Graph
- Added: utility graph 'last 24 hours usage'
- Added: Youless Pulse Counter Meter hardware
- Changed: Barometer graph values now displays as whole number
- Changed: Dashboard: P1 Smart Meter Energy does not show the retour values if not used
- Changed: Devices Tab: Check if any device is selected to delete
- Changed: Lights/Switches, Contact status now displays as Open/Closed instead of On/Off
- Changed: Meter values now only inserted in meter table when there is a difference in value
- Changed: replaced all localtime function with localtime_r
- Changed: Schedule item started message will now also report the timer type
- Changed: updated to RFCOM SDK version 6.01

Version 1.0.6 (January 9th 2013)
- Added: Option to add a manual LightwaveRF switch
- Added: P1 Smart Meter Serial hardware
- Added: P1 Smart Meter TCP hardware
- Added: Random Timer (On Time timer with +/- xxx minutes offset)
- Added: RFXCOM Lan will now keep retrying to connect when it does not succeed on the first time
- Added: Web Protection, option to ignore (local) networks
- Changed: Chime light/switch status will now also trigger a notification
- Changed: P1 Smart Meter updates its information to shared clients now once every 60 seconds (reduces network traffic)
- Changed: P1 Smart Meter, Gas value now only send/update when the value is changing (once every 1 a 2 hours)
- Fixed: Lighting 1, ARC Doorbell is now send with a 'Chime' instead of All On
- Fixed: Temp, Hum, TempHumBaro ID

Version 1.0.5 (December 29th 2012)
- Start of History document
